ADAM_2.12: Core 1.0.1 API < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package org
  Definition Classes
    root
-  package bdgenomics
  Definition Classes
    org
-  package adam
  Definition Classes
    bdgenomics
-  package ds
  Definition Classes
    adam
-  package read
  Definition Classes
    ds
- ADAMBAMOutputFormat
- ADAMBAMOutputFormatHeaderLess
- ADAMCRAMOutputFormat
- ADAMCRAMOutputFormatHeaderLess
- ADAMSAMOutputFormat
- ADAMSAMOutputFormatHeaderLess
- AlignmentDataset
- AnySAMInFormatter
- AnySAMInFormatterCompanion
- AnySAMOutFormatter
- BAMInFormatter
- DatasetBoundAlignmentDataset
- DatasetBoundReadDataset
- FASTQInFormatter
- IncorrectMDTagException
- ParquetUnboundAlignmentDataset
- ParquetUnboundReadDataset
- QualityScoreBin
- RDDBoundAlignmentDataset
- RDDBoundReadDataset
- ReadDataset
- ReferencePositionPairSerializer
- SAMInFormatter
- SingleReadBucketSerializer

c

org.bdgenomics.adam.ds.read

# RDDBoundAlignmentDataset 

###

#### case class RDDBoundAlignmentDataset extends AlignmentDataset with Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, AlignmentDataset, AvroReadGroupGenomicDataset[Alignment, Alignment, AlignmentDataset], GenomicDatasetWithLineage[Alignment, Alignment, AlignmentDataset], AvroGenomicDataset[Alignment, Alignment, AlignmentDataset], GenomicDataset[Alignment, Alignment, AlignmentDataset], Logging, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. RDDBoundAlignmentDataset
2. Serializable
3. Serializable
4. Product
5. Equals
6. AlignmentDataset
7. AvroReadGroupGenomicDataset
8. GenomicDatasetWithLineage
9. AvroGenomicDataset
10. GenomicDataset
11. Logging
12. AnyRef
13. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def addProcessingStep(newProcessingStep: ProcessingStep): AlignmentDataset

   Merges a new processing record with the extant computational lineage.

   Merges a new processing record with the extant computational lineage.

   newProcessingStep

     The new processing step to attach to this genomic dataset.

   returns

     Returns a new GenomicDataset with new processing lineage attached.

   Definition Classes
     GenomicDatasetWithLineage
5.  def addReadGroup(readGroupToAdd: ReadGroup): AlignmentDataset

   Adds a single read group to the extant read groups.

   Adds a single read group to the extant read groups.

   readGroupToAdd

     The read group to append to the extant read groups.

   returns

     Returns a new GenomicDataset with the new read group added.

   Definition Classes
     AvroReadGroupGenomicDataset
6.  def addReadGroups(readGroupsToAdd: ReadGroupDictionary): AlignmentDataset

   Merges a new set of read groups with the extant read groups.

   Merges a new set of read groups with the extant read groups.

   readGroupsToAdd

     The read group dictionary to append to the extant read groups.

   returns

     Returns a new GenomicDataset with new read groups merged in.

   Definition Classes
     AvroReadGroupGenomicDataset
7.  def addReference(referenceToAdd: SequenceRecord): AlignmentDataset

   Appends metadata for a single reference sequence to the current genomic dataset.

   Appends metadata for a single reference sequence to the current genomic dataset.

   referenceToAdd

     The reference sequence to add.

   returns

     Returns a new GenomicDataset with this reference sequence appended.

   Definition Classes
     GenomicDataset
8.  def addReferences(referencesToAdd: SequenceDictionary): AlignmentDataset

   Appends reference sequence metadata to the current genomic dataset.

   Appends reference sequence metadata to the current genomic dataset.

   referencesToAdd

     The new reference sequences to append.

   returns

     Returns a new GenomicDataset with the reference sequences appended.

   Definition Classes
     GenomicDataset
9.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
10.  def binQualityScores(bins: Seq[QualityScoreBin]): AlignmentDataset

    (Scala-specific) Rewrites the quality scores of reads to place all quality scores in bins.

    (Scala-specific) Rewrites the quality scores of reads to place all quality scores in bins.

    Quality score binning maps all quality scores to a limited number of discrete values, thus reducing the entropy of the quality score distribution, and reducing the amount of space that reads consume on disk.

    bins

      The bins to use.

    returns

      Reads whose quality scores are binned.

    Definition Classes
      AlignmentDataset
11.  def binQualityScores(bins: List[QualityScoreBin]): AlignmentDataset

    (Java-specific) Rewrites the quality scores of reads to place all quality scores in bins.

    (Java-specific) Rewrites the quality scores of reads to place all quality scores in bins.

    Quality score binning maps all quality scores to a limited number of discrete values, thus reducing the entropy of the quality score distribution, and reducing the amount of space that reads consume on disk.

    bins

      The bins to use.

    returns

      Reads whose quality scores are binned.

    Definition Classes
      AlignmentDataset
12.  def broadcast()(implicit tTag: ClassTag[Alignment]): GenomicBroadcast[Alignment, Alignment, AlignmentDataset]
    Definition Classes
      GenomicDataset
13.  def broadcastRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z])(implicit tTag: ClassTag[Alignment], xTag: ClassTag[X], txTag: ClassTag[(Alignment, X)], uyTag: scala.reflect.api.JavaUniverse.TypeTag[(Alignment, Y)]): GenericGenomicDataset[(Alignment, X), (Alignment, Y)]

    Performs a broadcast inner join between this genomic dataset and another genomic dataset.

    Performs a broadcast inner join between this genomic dataset and another genomic dataset.

    In a broadcast join, the left genomic dataset (this genomic dataset) is collected to the driver, and broadcast to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other genomic dataset are dropped.

    genomicDataset

      The right genomic dataset in the join.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space.

    Definition Classes
      GenomicDataset
    See also

      broadcastRegionJoinAgainst

14.  def broadcastRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Long)(implicit tTag: ClassTag[Alignment], xTag: ClassTag[X], txTag: ClassTag[(Alignment, X)], uyTag: scala.reflect.api.JavaUniverse.TypeTag[(Alignment, Y)]): GenericGenomicDataset[(Alignment, X), (Alignment, Y)]

    Performs a broadcast inner join between this genomic dataset and another genomic dataset.

    Performs a broadcast inner join between this genomic dataset and another genomic dataset.

    In a broadcast join, the left genomic dataset (this genomic dataset) is collected to the driver, and broadcast to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other genomic dataset are dropped.

    genomicDataset

      The right genomic dataset in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space.

    Definition Classes
      GenomicDataset
    See also

      broadcastRegionJoinAgainst

15.  def broadcastRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Integer): GenericGenomicDataset[(Alignment, X), (Alignment, Y)]

    (Java-specific) Performs a broadcast inner join between this genomic dataset and another genomic dataset.

    (Java-specific) Performs a broadcast inner join between this genomic dataset and another genomic dataset.

    In a broadcast join, the left genomic dataset (this genomic dataset) is collected to the driver, and broadcast to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other genomic dataset are dropped.

    genomicDataset

      The right genomic dataset in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space.

    Definition Classes
      GenomicDataset
16.  def broadcastRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Double): GenericGenomicDataset[(Alignment, X), (Alignment, Y)]

    (R-specific) Performs a broadcast inner join between this genomic dataset and another genomic dataset.

    (R-specific) Performs a broadcast inner join between this genomic dataset and another genomic dataset.

    In a broadcast join, the left genomic dataset (this genomic dataset) is collected to the driver, and broadcast to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other genomic dataset are dropped.

    genomicDataset

      The right genomic dataset in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space.

    Definition Classes
      GenomicDataset
17.  def broadcastRegionJoinAgainst[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](broadcast: GenomicBroadcast[X, Y, Z])(implicit tTag: ClassTag[Alignment], xTag: ClassTag[X], uyTag: scala.reflect.api.JavaUniverse.TypeTag[(Y, Alignment)]): GenericGenomicDataset[(X, Alignment), (Y, Alignment)]

    Performs a broadcast inner join between this genomic dataset and data that has been broadcast.

    Performs a broadcast inner join between this genomic dataset and data that has been broadcast.

    In a broadcast join, the left side of the join (broadcastTree) is broadcast to to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other genomic dataset are dropped. As compared to broadcastRegionJoin, this function allows the broadcast object to be reused across multiple joins.

    broadcast

      The data on the left side of the join.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space.

    Definition Classes
      GenomicDataset
    Note

      This function differs from other region joins as it treats the calling genomic dataset as the right side of the join, and not the left.

    See also

      broadcastRegionJoin

18.  def broadcastRegionJoinAgainstAndGroupByRight[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](broadcast: GenomicBroadcast[X, Y, Z])(implicit tTag: ClassTag[Alignment], xTag: ClassTag[X], syuTag: scala.reflect.api.JavaUniverse.TypeTag[(Seq[Y], Alignment)]): GenericGenomicDataset[(Iterable[X], Alignment), (Seq[Y], Alignment)]

    Performs a broadcast inner join between this genomic dataset and another genomic dataset.

    Performs a broadcast inner join between this genomic dataset and another genomic dataset.

    In a broadcast join, the left side of the join (broadcastTree) is broadcast to to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other genomic dataset are dropped. As compared to broadcastRegionJoin, this function allows the broadcast object to be reused across multiple joins.

    broadcast

      The data on the left side of the join.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space.

    Definition Classes
      GenomicDataset
    Note

      This function differs from other region joins as it treats the calling genomic dataset as the right side of the join, and not the left.

    See also

      broadcastRegionJoinAndGroupByRight

19.  def broadcastRegionJoinAndGroupByRight[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z])(implicit tTag: ClassTag[Alignment], xTag: ClassTag[X], itxTag: ClassTag[(Iterable[Alignment], X)], iuyTag: scala.reflect.api.JavaUniverse.TypeTag[(Seq[Alignment], Y)]): GenericGenomicDataset[(Iterable[Alignment], X), (Seq[Alignment], Y)]

    Performs a broadcast inner join between this genomic dataset and another genomic dataset.

    Performs a broadcast inner join between this genomic dataset and another genomic dataset.

    In a broadcast join, the left genomic dataset (this genomic dataset) is collected to the driver, and broadcast to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other genomic dataset are dropped.

    genomicDataset

      The right genomic dataset in the join.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space.

    Definition Classes
      GenomicDataset
    See also

      broadcastRegionJoinAgainstAndGroupByRight

20.  def broadcastRegionJoinAndGroupByRight[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Long)(implicit tTag: ClassTag[Alignment], xTag: ClassTag[X], itxTag: ClassTag[(Iterable[Alignment], X)], iuyTag: scala.reflect.api.JavaUniverse.TypeTag[(Seq[Alignment], Y)]): GenericGenomicDataset[(Iterable[Alignment], X), (Seq[Alignment], Y)]

    Performs a broadcast inner join between this genomic dataset and another genomic dataset.

    Performs a broadcast inner join between this genomic dataset and another genomic dataset.

    In a broadcast join, the left genomic dataset (this genomic dataset) is collected to the driver, and broadcast to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other genomic dataset are dropped.

    genomicDataset

      The right genomic dataset in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space.

    Definition Classes
      GenomicDataset
    See also

      broadcastRegionJoinAgainstAndGroupByRight

21.  def broadcastRegionJoinAndGroupByRight[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Integer): GenericGenomicDataset[(Iterable[Alignment], X), (Seq[Alignment], Y)]

    (Java-specific) Performs a broadcast inner join between this genomic dataset and another genomic dataset.

    (Java-specific) Performs a broadcast inner join between this genomic dataset and another genomic dataset.

    In a broadcast join, the left genomic dataset (this genomic dataset) is collected to the driver, and broadcast to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other genomic dataset are dropped.

    genomicDataset

      The right genomic dataset in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space.

    Definition Classes
      GenomicDataset
    See also

      broadcastRegionJoinAgainstAndGroupByRight

22.  def broadcastRegionJoinAndGroupByRight[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Double): GenericGenomicDataset[(Iterable[Alignment], X), (Seq[Alignment], Y)]

    (R-specific) Performs a broadcast inner join between this genomic dataset and another genomic dataset.

    (R-specific) Performs a broadcast inner join between this genomic dataset and another genomic dataset.

    In a broadcast join, the left genomic dataset (this genomic dataset) is collected to the driver, and broadcast to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other genomic dataset are dropped.

    genomicDataset

      The right genomic dataset in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space.

    Definition Classes
      GenomicDataset
    See also

      broadcastRegionJoinAgainstAndGroupByRight

23.  def buildTree(rdd: RDD[(ReferenceRegion, Alignment)])(implicit tTag: ClassTag[Alignment]): IntervalArray[ReferenceRegion, Alignment]
    Attributes
      protected
    Definition Classes
      AlignmentDataset → GenomicDataset
24.  def cache(): AlignmentDataset

    Caches underlying RDD in memory.

    Caches underlying RDD in memory.

    returns

      Cached GenomicDataset.

    Definition Classes
      GenomicDataset
25.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native() @HotSpotIntrinsicCandidate()
26.  def computeMismatchingPositions(referenceFile: ReferenceFile, overwriteExistingTags: Boolean = false, validationStringency: ValidationStringency = ValidationStringency.LENIENT): AlignmentDataset

    (Scala-specific) Computes the mismatching positions field (SAM "MD" tag).

    (Scala-specific) Computes the mismatching positions field (SAM "MD" tag).

    referenceFile

      A reference file that can be broadcast to all nodes.

    overwriteExistingTags

      If true, overwrites the MD tags on reads where it is already populated. If false, we only tag reads that are currently missing an MD tag. Default is false.

    validationStringency

      If we are recalculating existing tags and we find that the MD tag that was previously on the read doesn't match our new tag, LENIENT will log a warning message, STRICT will throw an exception, and SILENT will ignore. Default is LENIENT.

    returns

      Returns a new AlignmentDataset where all reads have the mismatchingPositions field populated.

    Definition Classes
      AlignmentDataset
27.  def computeMismatchingPositions(referenceFile: ReferenceFile, overwriteExistingTags: Boolean, validationStringency: ValidationStringency): AlignmentDataset

    (Java-specific) Computes the mismatching positions field (SAM "MD" tag).

    (Java-specific) Computes the mismatching positions field (SAM "MD" tag).

    referenceFile

      A reference file that can be broadcast to all nodes.

    overwriteExistingTags

      If true, overwrites the MD tags on reads where it is already populated. If false, we only tag reads that are currently missing an MD tag.

    validationStringency

      If we are recalculating existing tags and we find that the MD tag that was previously on the read doesn't match our new tag, LENIENT will log a warning message, STRICT will throw an exception, and SILENT will ignore.

    returns

      Returns a new AlignmentDataset where all reads have the mismatchingPositions field populated.

    Definition Classes
      AlignmentDataset
28.  def convertToSam(sortOrder: SortOrder): (SAMFileHeader, RDD[SAMRecordWritable])

    Converts this genomic dataset of Alignments to HTSJDK SAMRecords.

    Converts this genomic dataset of Alignments to HTSJDK SAMRecords.

    sortOrder

      Sort order.

    returns

      Return a tuple of SAMFileHeader and an RDD of HTSJDK SAMRecords.

    Definition Classes
      AlignmentDataset
29.  def convertToSam(isSorted: Boolean = false): (SAMFileHeader, RDD[SAMRecordWritable])

    Converts this genomic dataset of Alignments to HTSJDK SAMRecords.

    Converts this genomic dataset of Alignments to HTSJDK SAMRecords.

    isSorted

      True if sorted.

    returns

      Return a tuple of SAMFileHeader and an RDD of HTSJDK SAMRecords.

    Definition Classes
      AlignmentDataset
30.  def countKmers(kmerLength: Integer): JavaRDD[(String, Long)]

    (Java-specific) Cuts reads into _k_-mers, and then counts the number of occurrences of each _k_-mer.

    (Java-specific) Cuts reads into _k_-mers, and then counts the number of occurrences of each _k_-mer.

    kmerLength

      The value of _k_ to use for cutting _k_-mers.

    returns

      Returns a JavaRDD containing k-mer/count pairs.

    Definition Classes
      AlignmentDataset
31.  def countKmers(kmerLength: Int): RDD[(String, Long)]

    (Scala-specific) Cuts reads into _k_-mers, and then counts the number of occurrences of each _k_-mer.

    (Scala-specific) Cuts reads into _k_-mers, and then counts the number of occurrences of each _k_-mer.

    kmerLength

      The value of _k_ to use for cutting _k_-mers.

    returns

      Returns an RDD containing k-mer/count pairs.

    Definition Classes
      AlignmentDataset
32.  def countKmersAsDataset(kmerLength: Int): Dataset[(String, Long)]

    Cuts reads into _k_-mers, and then counts the number of occurrences of each _k_-mer as a Dataset.

    Cuts reads into _k_-mers, and then counts the number of occurrences of each _k_-mer as a Dataset.

    kmerLength

      The value of _k_ to use for cutting _k_-mers.

    returns

      Returns a Dataset containing k-mer/count pairs.

    Definition Classes
      AlignmentDataset
33.  lazy val dataset: Dataset[Alignment]

    A SQL Dataset of reads.

    A SQL Dataset of reads.

    Definition Classes
      RDDBoundAlignmentDataset → GenomicDataset
34.  def debug(mkr: Marker, msg: ⇒ Any, t: ⇒ Throwable): Unit
    Attributes
      protected
    Definition Classes
      Logging
35.  def debug(msg: ⇒ Any, t: ⇒ Throwable): Unit
    Attributes
      protected
    Definition Classes
      Logging
36.  def debug(msg: ⇒ Any): Unit
    Attributes
      protected
    Definition Classes
      Logging
37.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
38.  def error(mkr: Marker, msg: ⇒ Any, t: ⇒ Throwable): Unit
    Attributes
      protected
    Definition Classes
      Logging
39.  def error(msg: ⇒ Any, t: ⇒ Throwable): Unit
    Attributes
      protected
    Definition Classes
      Logging
40.  def error(msg: ⇒ Any): Unit
    Attributes
      protected
    Definition Classes
      Logging
41.  def filterByMappingQuality(minimumMappingQuality: Int): AlignmentDataset

    Filter this AlignmentDataset by mapping quality.

    Filter this AlignmentDataset by mapping quality.

    minimumMappingQuality

      Minimum mapping quality to filter by, inclusive.

    returns

      AlignmentDataset filtered by mapping quality.

    Definition Classes
      AlignmentDataset
42.  def filterByOverlappingRegion(query: ReferenceRegion): AlignmentDataset

    Runs a filter that selects data in the underlying RDD that overlaps a single genomic region.

    Runs a filter that selects data in the underlying RDD that overlaps a single genomic region.

    query

      The region to query for.

    returns

      Returns a new GenomicDataset containing only data that overlaps the query region.

    Definition Classes
      GenomicDataset
43.  def filterByOverlappingRegions(querys: Iterable[ReferenceRegion]): AlignmentDataset

    (Java-specific) Runs a filter that selects data in the underlying RDD that overlaps several genomic regions.

    (Java-specific) Runs a filter that selects data in the underlying RDD that overlaps several genomic regions.

    querys

      The regions to query for.

    returns

      Returns a new GenomicDataset containing only data that overlaps the querys region.

    Definition Classes
      GenomicDataset
44.  def filterByOverlappingRegions(querys: Iterable[ReferenceRegion]): AlignmentDataset

    (Scala-specific) Runs a filter that selects data in the underlying RDD that overlaps several genomic regions.

    (Scala-specific) Runs a filter that selects data in the underlying RDD that overlaps several genomic regions.

    querys

      The regions to query for.

    returns

      Returns a new GenomicDataset containing only data that overlaps the querys region.

    Definition Classes
      GenomicDataset
45.  def filterDuplicateReads(): AlignmentDataset

    Filter duplicate reads from this AlignmentDataset.

    Filter duplicate reads from this AlignmentDataset.

    returns

      AlignmentDataset filtered to remove duplicate reads.

    Definition Classes
      AlignmentDataset
46.  def filterToPrimaryAlignments(): AlignmentDataset

    Filter this AlignmentDataset to include only primary alignments.

    Filter this AlignmentDataset to include only primary alignments.

    returns

      AlignmentDataset filtered to include only primary alignments.

    Definition Classes
      AlignmentDataset
47.  def filterToReadGroup(readGroupId: String): AlignmentDataset

    Filter this AlignmentDataset by read group to those that match the specified read group.

    Filter this AlignmentDataset by read group to those that match the specified read group.

    readGroupId

      Read group to filter by.

    returns

      AlignmentDataset filtered by read group.

    Definition Classes
      AlignmentDataset
48.  def filterToReadGroups(readGroupIds: Seq[String]): AlignmentDataset

    (Scala-specific) Filter this AlignmentDataset by read group to those that match the specified read groups.

    (Scala-specific) Filter this AlignmentDataset by read group to those that match the specified read groups.

    readGroupIds

      Sequence of read groups to filter by.

    returns

      AlignmentDataset filtered by one or more read groups.

    Definition Classes
      AlignmentDataset
49.  def filterToReadGroups(readGroupIds: List[String]): AlignmentDataset

    (Java-specific) Filter this AlignmentDataset by read group to those that match the specified read groups.

    (Java-specific) Filter this AlignmentDataset by read group to those that match the specified read groups.

    readGroupIds

      List of read groups to filter by.

    returns

      AlignmentDataset filtered by one or more read groups.

    Definition Classes
      AlignmentDataset
50.  def filterToReferenceName(referenceName: String): AlignmentDataset

    Filter this AlignmentDataset by reference name to those that match the specified reference name.

    Filter this AlignmentDataset by reference name to those that match the specified reference name.

    referenceName

      Reference name to filter by.

    returns

      AlignmentDataset filtered by the specified reference name.

    Definition Classes
      AlignmentDataset
51.  def filterToSample(readGroupSampleId: String): AlignmentDataset

    Filter this AlignmentDataset by sample to those that match the specified sample.

    Filter this AlignmentDataset by sample to those that match the specified sample.

    readGroupSampleId

      Sample to filter by.

    returns

      AlignmentDataset filtered by the specified sample.

    Definition Classes
      AlignmentDataset
52.  def filterToSamples(readGroupSampleIds: Seq[String]): AlignmentDataset

    (Scala-specific) Filter this AlignmentDataset by sample to those that match the specified samples.

    (Scala-specific) Filter this AlignmentDataset by sample to those that match the specified samples.

    readGroupSampleIds

      Sequence of samples to filter by.

    returns

      AlignmentDataset filtered by the specified samples.

    Definition Classes
      AlignmentDataset
53.  def filterToSamples(readGroupSampleIds: List[String]): AlignmentDataset

    (Java-specific) Filter this AlignmentDataset by sample to those that match the specified samples.

    (Java-specific) Filter this AlignmentDataset by sample to those that match the specified samples.

    readGroupSampleIds

      List of samples to filter by.

    returns

      AlignmentDataset filtered by the specified samples.

    Definition Classes
      AlignmentDataset
54.  def filterUnalignedReads(): AlignmentDataset

    Filter unaligned reads from this AlignmentDataset.

    Filter unaligned reads from this AlignmentDataset.

    returns

      AlignmentDataset filtered to remove unaligned reads.

    Definition Classes
      AlignmentDataset
55.  def filterUnpairedReads(): AlignmentDataset

    Filter unpaired reads from this AlignmentDataset.

    Filter unpaired reads from this AlignmentDataset.

    returns

      AlignmentDataset filtered to remove unpaired reads.

    Definition Classes
      AlignmentDataset
56.  def flagStat(): (FlagStatMetrics, FlagStatMetrics)

    Runs a quality control pass akin to the Samtools FlagStat tool.

    Runs a quality control pass akin to the Samtools FlagStat tool.

    returns

      Returns a tuple of (failedQualityMetrics, passedQualityMetrics)

    Definition Classes
      AlignmentDataset
57.  def flattenRddByRegions(): RDD[(ReferenceRegion, Alignment)]
    Attributes
      protected
    Definition Classes
      GenomicDataset
58.  def fullOuterShuffleRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z])(implicit tTag: ClassTag[Alignment], xTag: ClassTag[X], otoxTag: ClassTag[(Option[Alignment], Option[X])], ouoyTag: scala.reflect.api.JavaUniverse.TypeTag[(Option[Alignment], Option[Y])]): GenericGenomicDataset[(Option[Alignment], Option[X]), (Option[Alignment], Option[Y])]

    Performs a sort-merge full outer join between this genomic dataset and another genomic dataset.

    Performs a sort-merge full outer join between this genomic dataset and another genomic dataset.

    In a sort-merge join, both genomic datasets are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a full outer join, if a value from either genomic dataset does not overlap any values in the other genomic dataset, it will be paired with a `None` in the product of the join.

    genomicDataset

      The right genomic dataset in the join.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, and values that did not overlap will be paired with a `None`.

    Definition Classes
      GenomicDataset
59.  def fullOuterShuffleRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Long)(implicit tTag: ClassTag[Alignment], xTag: ClassTag[X], otoxTag: ClassTag[(Option[Alignment], Option[X])], ouoyTag: scala.reflect.api.JavaUniverse.TypeTag[(Option[Alignment], Option[Y])]): GenericGenomicDataset[(Option[Alignment], Option[X]), (Option[Alignment], Option[Y])]

    Performs a sort-merge full outer join between this genomic dataset and another genomic dataset.

    Performs a sort-merge full outer join between this genomic dataset and another genomic dataset.

    In a sort-merge join, both genomic datasets are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a full outer join, if a value from either genomic dataset does not overlap any values in the other genomic dataset, it will be paired with a `None` in the product of the join.

    genomicDataset

      The right genomic dataset in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, and values that did not overlap will be paired with a `None`.

    Definition Classes
      GenomicDataset
60.  def fullOuterShuffleRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Integer): GenericGenomicDataset[(Option[Alignment], Option[X]), (Option[Alignment], Option[Y])]

    (Python-specific) Performs a sort-merge full outer join between this genomic dataset and another genomic dataset.

    (Python-specific) Performs a sort-merge full outer join between this genomic dataset and another genomic dataset.

    In a sort-merge join, both genomic datasets are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a full outer join, if a value from either genomic dataset does not overlap any values in the other genomic dataset, it will be paired with a `None` in the product of the join.

    genomicDataset

      The right genomic dataset in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, and values that did not overlap will be paired with a `None`.

    Definition Classes
      GenomicDataset
61.  def fullOuterShuffleRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Double): GenericGenomicDataset[(Option[Alignment], Option[X]), (Option[Alignment], Option[Y])]

    (R-specific) Performs a sort-merge full outer join between this genomic dataset and another genomic dataset.

    (R-specific) Performs a sort-merge full outer join between this genomic dataset and another genomic dataset.

    In a sort-merge join, both genomic datasets are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a full outer join, if a value from either genomic dataset does not overlap any values in the other genomic dataset, it will be paired with a `None` in the product of the join.

    genomicDataset

      The right genomic dataset in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, and values that did not overlap will be paired with a `None`.

    Definition Classes
      GenomicDataset
62.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
63.  def getReferenceRegions(elem: Alignment): Seq[ReferenceRegion]

    Returns all reference regions that overlap this read.

    Returns all reference regions that overlap this read.

    If a read is unaligned, it covers no reference region. If a read is aligned we expect it to cover a single region. A chimeric read would cover multiple regions, but we store chimeric reads in a way similar to BAM, where the split alignments are stored in multiple separate reads.

    elem

      Read to produce regions for.

    returns

      The seq of reference regions this read covers.

    Attributes
      protected
    Definition Classes
      AlignmentDataset → GenomicDataset
64.  def info(mkr: Marker, msg: ⇒ Any, t: ⇒ Throwable): Unit
    Attributes
      protected
    Definition Classes
      Logging
65.  def info(msg: ⇒ Any, t: ⇒ Throwable): Unit
    Attributes
      protected
    Definition Classes
      Logging
66.  def info(msg: ⇒ Any): Unit
    Attributes
      protected
    Definition Classes
      Logging
67.  def isDebugEnabled: Boolean
    Attributes
      protected
    Definition Classes
      Logging
68.  def isErrorEnabled: Boolean
    Attributes
      protected
    Definition Classes
      Logging
69.  def isInfoEnabled: Boolean
    Attributes
      protected
    Definition Classes
      Logging
70.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
71.  def isSorted: Boolean
    Definition Classes
      GenomicDataset
72.  def isTraceEnabled: Boolean
    Attributes
      protected
    Definition Classes
      Logging
73.  def isWarnEnabled: Boolean
    Attributes
      protected
    Definition Classes
      Logging
74.  lazy val jrdd: JavaRDD[Alignment]

    The underlying RDD of genomic data, as a JavaRDD.

    The underlying RDD of genomic data, as a JavaRDD.

    Definition Classes
      GenomicDataset
75.  def leftNormalizeIndels(): AlignmentDataset

    Left normalizes the INDELs in reads containing INDELs.

    Left normalizes the INDELs in reads containing INDELs.

    returns

      Returns a new genomic dataset where the reads that contained INDELs have their INDELs left normalized.

    Definition Classes
      AlignmentDataset
76.  def leftOuterShuffleRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z])(implicit tTag: ClassTag[Alignment], xTag: ClassTag[X], toxTag: ClassTag[(Alignment, Option[X])], uoyTag: scala.reflect.api.JavaUniverse.TypeTag[(Alignment, Option[Y])]): GenericGenomicDataset[(Alignment, Option[X]), (Alignment, Option[Y])]

    Performs a sort-merge left outer join between this genomic dataset and another genomic dataset.

    Performs a sort-merge left outer join between this genomic dataset and another genomic dataset.

    In a sort-merge join, both genomic datasets are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a left outer join, all values in the right genomic dataset that do not overlap a value from the left genomic dataset are dropped. If a value from the left genomic dataset does not overlap any values in the right genomic dataset, it will be paired with a `None` in the product of the join.

    genomicDataset

      The right genomic dataset in the join.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the left genomic dataset that did not overlap a key in the right genomic dataset.

    Definition Classes
      GenomicDataset
77.  def leftOuterShuffleRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Long)(implicit tTag: ClassTag[Alignment], xTag: ClassTag[X], toxTag: ClassTag[(Alignment, Option[X])], uoyTag: scala.reflect.api.JavaUniverse.TypeTag[(Alignment, Option[Y])]): GenericGenomicDataset[(Alignment, Option[X]), (Alignment, Option[Y])]

    Performs a sort-merge left outer join between this genomic dataset and another genomic dataset.

    Performs a sort-merge left outer join between this genomic dataset and another genomic dataset.

    In a sort-merge join, both genomic datasets are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a left outer join, all values in the right genomic dataset that do not overlap a value from the left genomic dataset are dropped. If a value from the left genomic dataset does not overlap any values in the right genomic dataset, it will be paired with a `None` in the product of the join.

    genomicDataset

      The right genomic dataset in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the left genomic dataset that did not overlap a key in the right genomic dataset.

    Definition Classes
      GenomicDataset
78.  def leftOuterShuffleRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Integer): GenericGenomicDataset[(Alignment, Option[X]), (Alignment, Option[Y])]

    (Java-specific) Performs a sort-merge left outer join between this genomic dataset and another genomic dataset.

    (Java-specific) Performs a sort-merge left outer join between this genomic dataset and another genomic dataset.

    In a sort-merge join, both genomic datasets are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a left outer join, all values in the right genomic dataset that do not overlap a value from the left genomic dataset are dropped. If a value from the left genomic dataset does not overlap any values in the right genomic dataset, it will be paired with a `None` in the product of the join.

    genomicDataset

      The right genomic dataset in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the left genomic dataset that did not overlap a key in the right genomic dataset.

    Definition Classes
      GenomicDataset
79.  def leftOuterShuffleRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Double): GenericGenomicDataset[(Alignment, Option[X]), (Alignment, Option[Y])]

    (R-specific) Performs a sort-merge left outer join between this genomic dataset and another genomic dataset.

    (R-specific) Performs a sort-merge left outer join between this genomic dataset and another genomic dataset.

    In a sort-merge join, both genomic datasets are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a left outer join, all values in the right genomic dataset that do not overlap a value from the left genomic dataset are dropped. If a value from the left genomic dataset does not overlap any values in the right genomic dataset, it will be paired with a `None` in the product of the join.

    genomicDataset

      The right genomic dataset in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the left genomic dataset that did not overlap a key in the right genomic dataset.

    Definition Classes
      GenomicDataset
80.  def leftOuterShuffleRegionJoinAndGroupByLeft[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z])(implicit tTag: ClassTag[Alignment], xTag: ClassTag[X], toxTag: ClassTag[(Alignment, Iterable[X])], uiyTag: scala.reflect.api.JavaUniverse.TypeTag[(Alignment, Seq[Y])]): GenericGenomicDataset[(Alignment, Iterable[X]), (Alignment, Seq[Y])]

    Performs a sort-merge left outer join between this genomic dataset and another genomic dataset, followed by a groupBy on the left value.

    Performs a sort-merge left outer join between this genomic dataset and another genomic dataset, followed by a groupBy on the left value.

    In a sort-merge join, both genomic datasets are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a left outer join, all values in the right genomic dataset that do not overlap a value from the left genomic dataset are dropped. If a value from the left genomic dataset does not overlap any values in the right genomic dataset, it will be paired with an empty Iterable in the product of the join.

    genomicDataset

      The right genomic dataset in the join.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the left genomic dataset that did not overlap a key in the right genomic dataset.

    Definition Classes
      GenomicDataset
81.  def leftOuterShuffleRegionJoinAndGroupByLeft[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Long)(implicit tTag: ClassTag[Alignment], xTag: ClassTag[X], toxTag: ClassTag[(Alignment, Iterable[X])], uiyTag: scala.reflect.api.JavaUniverse.TypeTag[(Alignment, Seq[Y])]): GenericGenomicDataset[(Alignment, Iterable[X]), (Alignment, Seq[Y])]

    Performs a sort-merge left outer join between this genomic dataset and another genomic dataset, followed by a groupBy on the left value.

    Performs a sort-merge left outer join between this genomic dataset and another genomic dataset, followed by a groupBy on the left value.

    In a sort-merge join, both genomic datasets are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a left outer join, all values in the right genomic dataset that do not overlap a value from the left genomic dataset are dropped. If a value from the left genomic dataset does not overlap any values in the right genomic dataset, it will be paired with an empty Iterable in the product of the join.

    genomicDataset

      The right genomic dataset in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the left genomic dataset that did not overlap a key in the right genomic dataset.

    Definition Classes
      GenomicDataset
82.  def leftOuterShuffleRegionJoinAndGroupByLeft[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Integer): GenericGenomicDataset[(Alignment, Iterable[X]), (Alignment, Seq[Y])]

    (Java-specific) Performs a sort-merge left outer join between this genomic dataset and another genomic dataset, followed by a groupBy on the left value.

    (Java-specific) Performs a sort-merge left outer join between this genomic dataset and another genomic dataset, followed by a groupBy on the left value.

    In a sort-merge join, both genomic datasets are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a left outer join, all values in the right genomic dataset that do not overlap a value from the left genomic dataset are dropped. If a value from the left genomic dataset does not overlap any values in the right genomic dataset, it will be paired with an empty Iterable in the product of the join.

    genomicDataset

      The right genomic dataset in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the left genomic dataset that did not overlap a key in the right genomic dataset.

    Definition Classes
      GenomicDataset
83.  def leftOuterShuffleRegionJoinAndGroupByLeft[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Double): GenericGenomicDataset[(Alignment, Iterable[X]), (Alignment, Seq[Y])]

    (R-specific) Performs a sort-merge left outer join between this genomic dataset and another genomic dataset, followed by a groupBy on the left value.

    (R-specific) Performs a sort-merge left outer join between this genomic dataset and another genomic dataset, followed by a groupBy on the left value.

    In a sort-merge join, both genomic datasets are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a left outer join, all values in the right genomic dataset that do not overlap a value from the left genomic dataset are dropped. If a value from the left genomic dataset does not overlap any values in the right genomic dataset, it will be paired with an empty Iterable in the product of the join.

    genomicDataset

      The right genomic dataset in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the left genomic dataset that did not overlap a key in the right genomic dataset.

    Definition Classes
      GenomicDataset
84.  def logger: Logger
    Attributes
      protected
    Definition Classes
      Logging
85.  def loggerName: String
    Attributes
      protected
    Definition Classes
      Logging
86.  def markDuplicates(): AlignmentDataset

    Marks reads as possible fragment duplicates.

    Marks reads as possible fragment duplicates.

    returns

      A new genomic dataset where reads have the duplicate read flag set. Duplicate reads are NOT filtered out.

    Definition Classes
      AlignmentDataset
87.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
88.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
89.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
90.  val optPartitionMap: Option[Array[Option[(ReferenceRegion, ReferenceRegion)]]]
    Definition Classes
      RDDBoundAlignmentDataset → GenomicDataset
91.  def persist(sl: StorageLevel): AlignmentDataset

    Persists underlying RDD in memory or disk.

    Persists underlying RDD in memory or disk.

    sl

      new StorageLevel

    returns

      Persisted GenomicDataset.

    Definition Classes
      GenomicDataset
92.  def pipe[X, Y <: Product, Z <: GenomicDataset[X, Y, Z], W <: InFormatter[Alignment, Alignment, AlignmentDataset, W]](cmd: List[String], files: List[String], environment: Map[String, String], flankSize: Integer, tFormatter: Class[W], xFormatter: OutFormatter[X], convFn: Function2[AlignmentDataset, RDD[X], Z]): Z

    (Java/Python-specific) Pipes genomic data to a subprocess that runs in parallel using Spark.

    (Java/Python-specific) Pipes genomic data to a subprocess that runs in parallel using Spark.

    X

      The type of the record created by the piped command.

    Y

      A GenomicDataset containing X's.

    cmd

      Command to run.

    files

      Files to make locally available to the commands being run. Default is empty.

    environment

      A map containing environment variable/value pairs to set in the environment for the newly created process. Default is empty.

    flankSize

      Number of bases to flank each command invocation by.

    tFormatter

      Class of formatter for data going into pipe command.

    xFormatter

      Formatter for data coming out of the pipe command.

    convFn

      The conversion function used to build the final genomic dataset.

    returns

      Returns a new GenomicDataset of type Y.

    Definition Classes
      GenomicDataset
93.  def pipe[X, Y <: Product, Z <: GenomicDataset[X, Y, Z], W <: InFormatter[Alignment, Alignment, AlignmentDataset, W]](cmd: Seq[Any], files: Seq[Any], environment: Map[Any, Any], flankSize: Double, tFormatter: Class[W], xFormatter: OutFormatter[X], convFn: Function2[AlignmentDataset, RDD[X], Z]): Z

    (R-specific) Pipes genomic data to a subprocess that runs in parallel using Spark.

    (R-specific) Pipes genomic data to a subprocess that runs in parallel using Spark.

    X

      The type of the record created by the piped command.

    Y

      A GenomicDataset containing X's.

    cmd

      Command to run.

    files

      Files to make locally available to the commands being run. Default is empty.

    environment

      A map containing environment variable/value pairs to set in the environment for the newly created process. Default is empty.

    flankSize

      Number of bases to flank each command invocation by.

    tFormatter

      Class of formatter for data going into pipe command.

    xFormatter

      Formatter for data coming out of the pipe command.

    convFn

      The conversion function used to build the final genomic dataset.

    returns

      Returns a new GenomicDataset of type Y.

    Definition Classes
      GenomicDataset
94.  def pipe[X, Y <: Product, Z <: GenomicDataset[X, Y, Z], W <: InFormatter[Alignment, Alignment, AlignmentDataset, W]](cmd: Seq[String], files: Seq[String] = Seq.empty, environment: Map[String, String] = Map.empty, flankSize: Int = 0, optTimeout: Option[Int] = None)(implicit tFormatterCompanion: InFormatterCompanion[Alignment, Alignment, AlignmentDataset, W], xFormatter: OutFormatter[X], convFn: (AlignmentDataset, RDD[X]) ⇒ Z, tManifest: ClassTag[Alignment], xManifest: ClassTag[X]): Z

    (Scala-specific) Pipes genomic data to a subprocess that runs in parallel using Spark.

    (Scala-specific) Pipes genomic data to a subprocess that runs in parallel using Spark.

    Files are substituted in to the command with a $x syntax. E.g., to invoke a command that uses the first file from the files Seq, use $0. To access the path to the directory where the files are copied, use $root.

    Pipes require the presence of an InFormatterCompanion and an OutFormatter as implicit values. The InFormatterCompanion should be a singleton whose apply method builds an InFormatter given a specific type of GenomicDataset. The implicit InFormatterCompanion yields an InFormatter which is used to format the input to the pipe, and the implicit OutFormatter is used to parse the output from the pipe.

    X

      The type of the record created by the piped command.

    Y

      A GenomicDataset containing X's.

    cmd

      Command to run.

    files

      Files to make locally available to the commands being run. Default is empty.

    environment

      A map containing environment variable/value pairs to set in the environment for the newly created process. Default is empty.

    flankSize

      Number of bases to flank each command invocation by.

    optTimeout

      An optional parameter specifying how long to let a single partition run for, in seconds. If the partition times out, the partial results will be returned, and no exception will be logged. The partition will log that the command timed out.

    returns

      Returns a new GenomicDataset of type Y.

    Definition Classes
      GenomicDataset
95.  val processingSteps: Seq[ProcessingStep]

    The processing steps that have been applied to this GenomicDataset.

    The processing steps that have been applied to this GenomicDataset.

    Definition Classes
      RDDBoundAlignmentDataset → GenomicDatasetWithLineage
96.  val productFn: (Alignment) ⇒ Alignment
    Attributes
      protected
    Definition Classes
      AlignmentDataset → GenomicDataset
97.  val rdd: RDD[Alignment]

    The RDD of genomic data that we are wrapping.

    The RDD of genomic data that we are wrapping.

    Definition Classes
      RDDBoundAlignmentDataset → GenomicDataset
98.  val readGroups: ReadGroupDictionary

    A dictionary describing the read groups attached to this GenomicDataset.

    A dictionary describing the read groups attached to this GenomicDataset.

    Definition Classes
      RDDBoundAlignmentDataset → AvroReadGroupGenomicDataset
99.  def realignIndels(consensusModel: ConsensusGenerator = new ConsensusGeneratorFromReads, isSorted: Boolean = false, maxIndelSize: Int = 500, maxConsensusNumber: Int = 30, lodThreshold: Double = 5.0, maxTargetSize: Int = 3000, maxReadsPerTarget: Int = 20000, unclipReads: Boolean = false, optReferenceFile: Option[ReferenceFile] = None): AlignmentDataset

    (Scala-specific) Realigns indels using a consensus-based heuristic.

    (Scala-specific) Realigns indels using a consensus-based heuristic.

    consensusModel

      The model to use for generating consensus sequences to realign against.

    isSorted

      If the input data is sorted, setting this parameter to true avoids a second sort. Defaults to false.

    maxIndelSize

      The size of the largest indel to use for realignment. Defaults to 500.

    maxConsensusNumber

      The maximum number of consensus sequences to realign against per target region. Defaults to 30.

    lodThreshold

      Log-odds threshold to use when realigning; realignments are only finalized if the log-odds threshold is exceeded. Defaults to 5.0.

    maxTargetSize

      The maximum width of a single target region for realignment. Defaults to 3000.

    maxReadsPerTarget

      Maximum number of reads per target. Defaults to 20000.

    unclipReads

      If true, unclips reads prior to realignment. Else, omits clipped bases during realignment. Defaults to false.

    optReferenceFile

      An optional reference. If not provided, reference will be inferred from MD tags. Defaults to None.

    returns

      Returns a genomic dataset of mapped reads which have been realigned.

    Definition Classes
      AlignmentDataset
100.  def realignIndels(consensusModel: ConsensusGenerator, isSorted: Boolean, maxIndelSize: Integer, maxConsensusNumber: Integer, lodThreshold: Double, maxTargetSize: Integer, maxReadsPerTarget: Integer, unclipReads: Boolean, referenceFile: ReferenceFile): AlignmentDataset

     (Java-specific) Realigns indels using a consensus-based heuristic with the specified reference.

     (Java-specific) Realigns indels using a consensus-based heuristic with the specified reference.

     consensusModel

       The model to use for generating consensus sequences to realign against.

     isSorted

       If the input data is sorted, setting this parameter to true avoids a second sort.

     maxIndelSize

       The size of the largest indel to use for realignment.

     maxConsensusNumber

       The maximum number of consensus sequences to realign against per target region.

     lodThreshold

       Log-odds threshold to use when realigning; realignments are only finalized if the log-odds threshold is exceeded.

     maxTargetSize

       The maximum width of a single target region for realignment.

     maxReadsPerTarget

       Maximum number of reads per target.

     unclipReads

       If true, unclips reads prior to realignment. Else, omits clipped bases during realignment.

     referenceFile

       Reference file.

     returns

       Returns a genomic dataset of mapped reads which have been realigned.

     Definition Classes
       AlignmentDataset
101.  def realignIndels(consensusModel: ConsensusGenerator, isSorted: Boolean, maxIndelSize: Integer, maxConsensusNumber: Integer, lodThreshold: Double, maxTargetSize: Integer, maxReadsPerTarget: Integer, unclipReads: Boolean): AlignmentDataset

     (Java-specific) Realigns indels using a consensus-based heuristic.

     (Java-specific) Realigns indels using a consensus-based heuristic.

     consensusModel

       The model to use for generating consensus sequences to realign against.

     isSorted

       If the input data is sorted, setting this parameter to true avoids a second sort.

     maxIndelSize

       The size of the largest indel to use for realignment.

     maxConsensusNumber

       The maximum number of consensus sequences to realign against per target region.

     lodThreshold

       Log-odds threshold to use when realigning; realignments are only finalized if the log-odds threshold is exceeded.

     maxTargetSize

       The maximum width of a single target region for realignment.

     maxReadsPerTarget

       Maximum number of reads per target.

     unclipReads

       If true, unclips reads prior to realignment. Else, omits clipped bases during realignment.

     returns

       Returns a genomic dataset of mapped reads which have been realigned.

     Definition Classes
       AlignmentDataset
102.  def realignIndels(referenceFile: ReferenceFile): AlignmentDataset

     (Java-specific) Realigns indels using a consensus-based heuristic with the specified reference and default parameters.

     (Java-specific) Realigns indels using a consensus-based heuristic with the specified reference and default parameters.

     referenceFile

       Reference file.

     returns

       Returns a genomic dataset of mapped reads which have been realigned.

     Definition Classes
       AlignmentDataset
103.  def realignIndels(): AlignmentDataset

     (Java-specific) Realigns indels using a consensus-based heuristic with default parameters.

     (Java-specific) Realigns indels using a consensus-based heuristic with default parameters.

     returns

       Returns a genomic dataset of mapped reads which have been realigned.

     Definition Classes
       AlignmentDataset
104.  def reassembleReadPairs(secondPairRdd: RDD[Alignment], validationStringency: ValidationStringency = ValidationStringency.LENIENT): AlignmentDataset

     (Scala-specific) Reassembles read pairs from two sets of unpaired reads.

     (Scala-specific) Reassembles read pairs from two sets of unpaired reads. The assumption is that the two sets were _originally_ paired together.

     secondPairRdd

       The rdd containing the second read from the pairs.

     validationStringency

       How stringently to validate the reads.

     returns

       Returns a genomic dataset with the pair information recomputed.

     Definition Classes
       AlignmentDataset
     Note

       The RDD that this is called on should be the RDD with the first read from the pair.

105.  def reassembleReadPairs(secondPairRdd: JavaRDD[Alignment], validationStringency: ValidationStringency): AlignmentDataset

     (Java-specific) Reassembles read pairs from two sets of unpaired reads.

     (Java-specific) Reassembles read pairs from two sets of unpaired reads. The assumption is that the two sets were _originally_ paired together.

     secondPairRdd

       The rdd containing the second read from the pairs.

     validationStringency

       How stringently to validate the reads.

     returns

       Returns a genomic dataset with the pair information recomputed.

     Definition Classes
       AlignmentDataset
     Note

       The RDD that this is called on should be the RDD with the first read from the pair.

106.  def recalibrateBaseQualities(knownSnps: Broadcast[SnpTable], minAcceptableQuality: Int = 5, optStorageLevel: Option[StorageLevel] = Some(StorageLevel.MEMORY_ONLY), optSamplingFraction: Option[Double] = None, optSamplingSeed: Option[Long] = None): AlignmentDataset

     (Scala-specific) Runs base quality score recalibration on a set of reads.

     (Scala-specific) Runs base quality score recalibration on a set of reads. Uses a table of known SNPs to mask true variation during the recalibration process.

     knownSnps

       A table of known SNPs to mask valid variants.

     minAcceptableQuality

       The minimum quality score to recalibrate.

     optStorageLevel

       An optional storage level to set for the output of the first stage of BQSR. Defaults to StorageLevel.MEMORY_ONLY.

     optSamplingFraction

       An optional fraction of reads to sample when generating the covariate table.

     optSamplingSeed

       An optional seed to provide if downsampling reads.

     returns

       Returns a genomic dataset of recalibrated reads.

     Definition Classes
       AlignmentDataset
107.  def recalibrateBaseQualities(knownSnps: VariantDataset, minAcceptableQuality: Integer, storageLevel: StorageLevel, samplingFraction: Double, samplingSeed: Long): AlignmentDataset

     (Java-specific) Runs base quality score recalibration on a set of reads.

     (Java-specific) Runs base quality score recalibration on a set of reads. Uses a table of known SNPs to mask true variation during the recalibration process.

     knownSnps

       A table of known SNPs to mask valid variants.

     minAcceptableQuality

       The minimum quality score to recalibrate.

     storageLevel

       Storage level to set for the output of the first stage of BQSR. Set to null to omit.

     samplingFraction

       Fraction of reads to sample when generating the covariate table.

     samplingSeed

       Seed to provide if downsampling reads.

     returns

       Returns a genomic dataset of recalibrated reads.

     Definition Classes
       AlignmentDataset
108.  def recalibrateBaseQualities(knownSnps: VariantDataset, minAcceptableQuality: Integer, storageLevel: StorageLevel): AlignmentDataset

     (Java-specific) Runs base quality score recalibration on a set of reads.

     (Java-specific) Runs base quality score recalibration on a set of reads. Uses a table of known SNPs to mask true variation during the recalibration process.

     knownSnps

       A table of known SNPs to mask valid variants.

     minAcceptableQuality

       The minimum quality score to recalibrate.

     storageLevel

       An optional storage level to set for the output of the first stage of BQSR. Set to null to omit.

     returns

       Returns a genomic dataset of recalibrated reads.

     Definition Classes
       AlignmentDataset
109.  val references: SequenceDictionary

     The sequence dictionary describing the reference assembly this dataset is aligned to.

     The sequence dictionary describing the reference assembly this dataset is aligned to.

     Definition Classes
       RDDBoundAlignmentDataset → GenomicDataset
110.  def replaceProcessingSteps(newProcessingSteps: Seq[ProcessingStep]): AlignmentDataset

     Replaces the processing steps attached to this genomic dataset.

     Replaces the processing steps attached to this genomic dataset.

     newProcessingSteps

       The new processing steps to attach to this genomic dataset.

     returns

       Returns a new GenomicDataset with new processing lineage attached.

     Definition Classes
       RDDBoundAlignmentDataset → GenomicDatasetWithLineage
111.  def replaceRdd(newRdd: RDD[Alignment], newPartitionMap: Option[Array[Option[(ReferenceRegion, ReferenceRegion)]]] = None): AlignmentDataset
     Attributes
       protected
     Definition Classes
       AlignmentDataset → GenomicDataset
112.  def replaceRddAndSequences(newRdd: RDD[Alignment], newSequences: SequenceDictionary, partitionMap: Option[Array[Option[(ReferenceRegion, ReferenceRegion)]]] = None): AlignmentDataset

     Replaces the underlying RDD and SequenceDictionary and emits a new object.

     Replaces the underlying RDD and SequenceDictionary and emits a new object.

     newRdd

       New RDD to replace current RDD.

     newSequences

       New sequence dictionary to replace current dictionary.

     returns

       Returns a new AlignmentDataset.

     Attributes
       protected
     Definition Classes
       AlignmentDataset
113.  def replaceReadGroups(newReadGroups: ReadGroupDictionary): AlignmentDataset

     Replaces the read groups attached to this genomic dataset.

     Replaces the read groups attached to this genomic dataset.

     newReadGroups

       The new read group dictionary to attach.

     returns

       Returns a new GenomicDataset with new read groups attached.

     Definition Classes
       RDDBoundAlignmentDataset → AvroReadGroupGenomicDataset
114.  def replaceReferences(newReferences: SequenceDictionary): AlignmentDataset

     Replaces the reference sequence dictionary attached to a GenomicDataset.

     Replaces the reference sequence dictionary attached to a GenomicDataset.

     newReferences

       The new reference sequence dictionary to attach.

     returns

       Returns a new GenomicDataset with the reference sequences replaced.

     Definition Classes
       RDDBoundAlignmentDataset → GenomicDataset
115.  def rightOuterBroadcastRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z])(implicit tTag: ClassTag[Alignment], xTag: ClassTag[X], otxTag: ClassTag[(Option[Alignment], X)], ouyTag: scala.reflect.api.JavaUniverse.TypeTag[(Option[Alignment], Y)]): GenericGenomicDataset[(Option[Alignment], X), (Option[Alignment], Y)]

     Performs a broadcast right outer join between this genomic dataset and another genomic dataset.

     Performs a broadcast right outer join between this genomic dataset and another genomic dataset.

     In a broadcast join, the left genomic dataset (this genomic dataset) is collected to the driver, and broadcast to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left genomic dataset that do not overlap a value from the right genomic dataset are dropped. If a value from the right genomic dataset does not overlap any values in the left genomic dataset, it will be paired with a `None` in the product of the join.

     genomicDataset

       The right genomic dataset in the join.

     returns

       Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the right genomic dataset that did not overlap a key in the left genomic dataset.

     Definition Classes
       GenomicDataset
     See also

       rightOuterBroadcastRegionJoin

116.  def rightOuterBroadcastRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Long)(implicit tTag: ClassTag[Alignment], xTag: ClassTag[X], otxTag: ClassTag[(Option[Alignment], X)], ouyTag: scala.reflect.api.JavaUniverse.TypeTag[(Option[Alignment], Y)]): GenericGenomicDataset[(Option[Alignment], X), (Option[Alignment], Y)]

     Performs a broadcast right outer join between this genomic dataset and another genomic dataset.

     Performs a broadcast right outer join between this genomic dataset and another genomic dataset.

     In a broadcast join, the left genomic dataset (this genomic dataset) is collected to the driver, and broadcast to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left genomic dataset that do not overlap a value from the right genomic dataset are dropped. If a value from the right genomic dataset does not overlap any values in the left genomic dataset, it will be paired with a `None` in the product of the join.

     genomicDataset

       The right genomic dataset in the join.

     flankSize

       Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

     returns

       Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the right genomic dataset that did not overlap a key in the left genomic dataset.

     Definition Classes
       GenomicDataset
     See also

       rightOuterBroadcastRegionJoin

117.  def rightOuterBroadcastRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Integer): GenericGenomicDataset[(Option[Alignment], X), (Option[Alignment], Y)]

     (Java-specific) Performs a broadcast right outer join between this genomic dataset and another genomic dataset.

     (Java-specific) Performs a broadcast right outer join between this genomic dataset and another genomic dataset.

     In a broadcast join, the left genomic dataset (this genomic dataset) is collected to the driver, and broadcast to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left genomic dataset that do not overlap a value from the right genomic dataset are dropped. If a value from the right genomic dataset does not overlap any values in the left genomic dataset, it will be paired with a `None` in the product of the join.

     genomicDataset

       The right genomic dataset in the join.

     flankSize

       Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

     returns

       Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the right genomic dataset that did not overlap a key in the left genomic dataset.

     Definition Classes
       GenomicDataset
118.  def rightOuterBroadcastRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Double): GenericGenomicDataset[(Option[Alignment], X), (Option[Alignment], Y)]

     (R-specific) Performs a broadcast right outer join between this genomic dataset and another genomic dataset.

     (R-specific) Performs a broadcast right outer join between this genomic dataset and another genomic dataset.

     In a broadcast join, the left genomic dataset (this genomic dataset) is collected to the driver, and broadcast to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left genomic dataset that do not overlap a value from the right genomic dataset are dropped. If a value from the right genomic dataset does not overlap any values in the left genomic dataset, it will be paired with a `None` in the product of the join.

     genomicDataset

       The right genomic dataset in the join.

     flankSize

       Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

     returns

       Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the right genomic dataset that did not overlap a key in the left genomic dataset.

     Definition Classes
       GenomicDataset
119.  def rightOuterBroadcastRegionJoinAgainst[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](broadcast: GenomicBroadcast[X, Y, Z])(implicit tTag: ClassTag[Alignment], xTag: ClassTag[X], oyuTag: scala.reflect.api.JavaUniverse.TypeTag[(Option[Y], Alignment)]): GenericGenomicDataset[(Option[X], Alignment), (Option[Y], Alignment)]

     Performs a broadcast right outer join between this genomic dataset and data that has been broadcast.

     Performs a broadcast right outer join between this genomic dataset and data that has been broadcast.

     In a broadcast join, the left side of the join (broadcastTree) is broadcast to to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left table that do not overlap a value from the right genomic dataset are dropped. If a value from the right genomic dataset does not overlap any values in the left table, it will be paired with a `None` in the product of the join. As compared to broadcastRegionJoin, this function allows the broadcast object to be reused across multiple joins.

     broadcast

       The data on the left side of the join.

     returns

       Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space.

     Definition Classes
       GenomicDataset
     Note

       This function differs from other region joins as it treats the calling genomic dataset as the right side of the join, and not the left.

     See also

       rightOuterBroadcastRegionJoin

120.  def rightOuterBroadcastRegionJoinAgainstAndGroupByRight[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](broadcast: GenomicBroadcast[X, Y, Z])(implicit tTag: ClassTag[Alignment], xTag: ClassTag[X], syuTag: scala.reflect.api.JavaUniverse.TypeTag[(Seq[Y], Alignment)]): GenericGenomicDataset[(Iterable[X], Alignment), (Seq[Y], Alignment)]

     Performs a broadcast right outer join between this genomic dataset and another genomic dataset.

     Performs a broadcast right outer join between this genomic dataset and another genomic dataset.

     In a broadcast join, the left side of the join (broadcastTree) is broadcast to to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left table that do not overlap a value from the right genomic dataset are dropped. If a value from the right genomic dataset does not overlap any values in the left table, it will be paired with a `None` in the product of the join. As compared to broadcastRegionJoin, this function allows the broadcast object to be reused across multiple joins.

     broadcast

       The data on the left side of the join.

     returns

       Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space.

     Definition Classes
       GenomicDataset
     Note

       This function differs from other region joins as it treats the calling genomic dataset as the right side of the join, and not the left.

     See also

       rightOuterBroadcastRegionJoinAndGroupByRight

121.  def rightOuterBroadcastRegionJoinAndGroupByRight[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z])(implicit tTag: ClassTag[Alignment], xTag: ClassTag[X], itxTag: ClassTag[(Iterable[Alignment], X)], iuyTag: scala.reflect.api.JavaUniverse.TypeTag[(Seq[Alignment], Y)]): GenericGenomicDataset[(Iterable[Alignment], X), (Seq[Alignment], Y)]

     Performs a broadcast right outer join between this genomic dataset and another genomic dataset.

     Performs a broadcast right outer join between this genomic dataset and another genomic dataset.

     In a broadcast join, the left side of the join (broadcastTree) is broadcast to to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left genomic dataset that do not overlap a value from the right genomic dataset are dropped. If a value from the right genomic dataset does not overlap any values in the left genomic dataset, it will be paired with a `None` in the product of the join.

     genomicDataset

       The right genomic dataset in the join.

     returns

       Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the right genomic dataset that did not overlap a key in the left genomic dataset.

     Definition Classes
       GenomicDataset
     See also

       rightOuterBroadcastRegionJoinAgainstAndGroupByRight

122.  def rightOuterBroadcastRegionJoinAndGroupByRight[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Long)(implicit tTag: ClassTag[Alignment], xTag: ClassTag[X], itxTag: ClassTag[(Iterable[Alignment], X)], iuyTag: scala.reflect.api.JavaUniverse.TypeTag[(Seq[Alignment], Y)]): GenericGenomicDataset[(Iterable[Alignment], X), (Seq[Alignment], Y)]

     Performs a broadcast right outer join between this genomic dataset and another genomic dataset.

     Performs a broadcast right outer join between this genomic dataset and another genomic dataset.

     In a broadcast join, the left side of the join (broadcastTree) is broadcast to to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left genomic dataset that do not overlap a value from the right genomic dataset are dropped. If a value from the right genomic dataset does not overlap any values in the left genomic dataset, it will be paired with a `None` in the product of the join.

     genomicDataset

       The right genomic dataset in the join.

     flankSize

       Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

     returns

       Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the right genomic dataset that did not overlap a key in the left genomic dataset.

     Definition Classes
       GenomicDataset
     See also

       rightOuterBroadcastRegionJoinAgainstAndGroupByRight

123.  def rightOuterBroadcastRegionJoinAndGroupByRight[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Integer): GenericGenomicDataset[(Iterable[Alignment], X), (Seq[Alignment], Y)]

     (Java-specific) Performs a broadcast right outer join between this genomic dataset and another genomic dataset.

     (Java-specific) Performs a broadcast right outer join between this genomic dataset and another genomic dataset.

     In a broadcast join, the left side of the join (broadcastTree) is broadcast to to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left genomic dataset that do not overlap a value from the right genomic dataset are dropped. If a value from the right genomic dataset does not overlap any values in the left genomic dataset, it will be paired with a `None` in the product of the join.

     genomicDataset

       The right genomic dataset in the join.

     flankSize

       Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

     returns

       Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the right genomic dataset that did not overlap a key in the left genomic dataset.

     Definition Classes
       GenomicDataset
     See also

       rightOuterBroadcastRegionJoinAgainstAndGroupByRight

124.  def rightOuterBroadcastRegionJoinAndGroupByRight[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Double): GenericGenomicDataset[(Iterable[Alignment], X), (Seq[Alignment], Y)]

     (R-specific) Performs a broadcast right outer join between this genomic dataset and another genomic dataset.

     (R-specific) Performs a broadcast right outer join between this genomic dataset and another genomic dataset.

     In a broadcast join, the left side of the join (broadcastTree) is broadcast to to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left genomic dataset that do not overlap a value from the right genomic dataset are dropped. If a value from the right genomic dataset does not overlap any values in the left genomic dataset, it will be paired with a `None` in the product of the join.

     genomicDataset

       The right genomic dataset in the join.

     flankSize

       Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

     returns

       Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the right genomic dataset that did not overlap a key in the left genomic dataset.

     Definition Classes
       GenomicDataset
     See also

       rightOuterBroadcastRegionJoinAgainstAndGroupByRight

125.  def rightOuterShuffleRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z])(implicit tTag: ClassTag[Alignment], xTag: ClassTag[X], otxTag: ClassTag[(Option[Alignment], X)], ouyTag: scala.reflect.api.JavaUniverse.TypeTag[(Option[Alignment], Y)]): GenericGenomicDataset[(Option[Alignment], X), (Option[Alignment], Y)]

     Performs a sort-merge right outer join between this genomic dataset and another genomic dataset.

     Performs a sort-merge right outer join between this genomic dataset and another genomic dataset.

     In a sort-merge join, both genomic datasets are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left genomic dataset that do not overlap a value from the right genomic dataset are dropped. If a value from the right genomic dataset does not overlap any values in the left genomic dataset, it will be paired with a `None` in the product of the join.

     genomicDataset

       The right genomic dataset in the join.

     returns

       Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the right genomic dataset that did not overlap a key in the left genomic dataset.

     Definition Classes
       GenomicDataset
126.  def rightOuterShuffleRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Long)(implicit tTag: ClassTag[Alignment], xTag: ClassTag[X], otxTag: ClassTag[(Option[Alignment], X)], ouyTag: scala.reflect.api.JavaUniverse.TypeTag[(Option[Alignment], Y)]): GenericGenomicDataset[(Option[Alignment], X), (Option[Alignment], Y)]

     Performs a sort-merge right outer join between this genomic dataset and another genomic dataset.

     Performs a sort-merge right outer join between this genomic dataset and another genomic dataset.

     In a sort-merge join, both genomic datasets are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left genomic dataset that do not overlap a value from the right genomic dataset are dropped. If a value from the right genomic dataset does not overlap any values in the left genomic dataset, it will be paired with a `None` in the product of the join.

     genomicDataset

       The right genomic dataset in the join.

     flankSize

       Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

     returns

       Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the right genomic dataset that did not overlap a key in the left genomic dataset.

     Definition Classes
       GenomicDataset
127.  def rightOuterShuffleRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Integer): GenericGenomicDataset[(Option[Alignment], X), (Option[Alignment], Y)]

     (Java-specific) Performs a sort-merge right outer join between this genomic dataset and another genomic dataset.

     (Java-specific) Performs a sort-merge right outer join between this genomic dataset and another genomic dataset.

     In a sort-merge join, both genomic datasets are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left genomic dataset that do not overlap a value from the right genomic dataset are dropped. If a value from the right genomic dataset does not overlap any values in the left genomic dataset, it will be paired with a `None` in the product of the join.

     genomicDataset

       The right genomic dataset in the join.

     flankSize

       Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

     returns

       Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the right genomic dataset that did not overlap a key in the left genomic dataset.

     Definition Classes
       GenomicDataset
128.  def rightOuterShuffleRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Double): GenericGenomicDataset[(Option[Alignment], X), (Option[Alignment], Y)]

     (R-specific) Performs a sort-merge right outer join between this genomic dataset and another genomic dataset.

     (R-specific) Performs a sort-merge right outer join between this genomic dataset and another genomic dataset.

     In a sort-merge join, both genomic datasets are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left genomic dataset that do not overlap a value from the right genomic dataset are dropped. If a value from the right genomic dataset does not overlap any values in the left genomic dataset, it will be paired with a `None` in the product of the join.

     genomicDataset

       The right genomic dataset in the join.

     flankSize

       Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

     returns

       Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the right genomic dataset that did not overlap a key in the left genomic dataset.

     Definition Classes
       GenomicDataset
129.  def rightOuterShuffleRegionJoinAndGroupByLeft[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z])(implicit tTag: ClassTag[Alignment], xTag: ClassTag[X], otixTag: ClassTag[(Option[Alignment], Iterable[X])], otsyTag: scala.reflect.api.JavaUniverse.TypeTag[(Option[Alignment], Seq[Y])]): GenericGenomicDataset[(Option[Alignment], Iterable[X]), (Option[Alignment], Seq[Y])]

     Performs a sort-merge right outer join between this genomic dataset and another genomic dataset, followed by a groupBy on the left value, if not null.

     Performs a sort-merge right outer join between this genomic dataset and another genomic dataset, followed by a groupBy on the left value, if not null.

     In a sort-merge join, both genomic datasets are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. In the same operation, we group all values by the left item in the genomic dataset. Since this is a right outer join, all values from the right genomic dataset who did not overlap a value from the left genomic dataset are placed into a length-1 Iterable with a `None` key.

     genomicDataset

       The right genomic dataset in the join.

     returns

       Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, grouped together by the value they overlapped in the left genomic dataset, and all values from the right genomic dataset that did not overlap an item in the left genomic dataset.

     Definition Classes
       GenomicDataset
130.  def rightOuterShuffleRegionJoinAndGroupByLeft[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Long)(implicit tTag: ClassTag[Alignment], xTag: ClassTag[X], otixTag: ClassTag[(Option[Alignment], Iterable[X])], ousyTag: scala.reflect.api.JavaUniverse.TypeTag[(Option[Alignment], Seq[Y])]): GenericGenomicDataset[(Option[Alignment], Iterable[X]), (Option[Alignment], Seq[Y])]

     Performs a sort-merge right outer join between this genomic dataset and another genomic dataset, followed by a groupBy on the left value, if not null.

     Performs a sort-merge right outer join between this genomic dataset and another genomic dataset, followed by a groupBy on the left value, if not null.

     In a sort-merge join, both genomic datasets are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. In the same operation, we group all values by the left item in the genomic dataset. Since this is a right outer join, all values from the right genomic dataset who did not overlap a value from the left genomic dataset are placed into a length-1 Iterable with a `None` key.

     genomicDataset

       The right genomic dataset in the join.

     flankSize

       Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

     returns

       Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, grouped together by the value they overlapped in the left genomic dataset, and all values from the right genomic dataset that did not overlap an item in the left genomic dataset.

     Definition Classes
       GenomicDataset
131.  def rightOuterShuffleRegionJoinAndGroupByLeft[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Integer): GenericGenomicDataset[(Option[Alignment], Iterable[X]), (Option[Alignment], Seq[Y])]

     (Java-specific) Performs a sort-merge right outer join between this genomic dataset and another genomic dataset, followed by a groupBy on the left value, if not null.

     (Java-specific) Performs a sort-merge right outer join between this genomic dataset and another genomic dataset, followed by a groupBy on the left value, if not null.

     In a sort-merge join, both genomic datasets are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. In the same operation, we group all values by the left item in the genomic dataset. Since this is a right outer join, all values from the right genomic dataset who did not overlap a value from the left genomic dataset are placed into a length-1 Iterable with a `None` key.

     genomicDataset

       The right genomic dataset in the join.

     flankSize

       Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

     returns

       Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, grouped together by the value they overlapped in the left genomic dataset, and all values from the right genomic dataset that did not overlap an item in the left genomic dataset.

     Definition Classes
       GenomicDataset
132.  def rightOuterShuffleRegionJoinAndGroupByLeft[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Double): GenericGenomicDataset[(Option[Alignment], Iterable[X]), (Option[Alignment], Seq[Y])]

     (R-specific) Performs a sort-merge right outer join between this genomic dataset and another genomic dataset, followed by a groupBy on the left value, if not null.

     (R-specific) Performs a sort-merge right outer join between this genomic dataset and another genomic dataset, followed by a groupBy on the left value, if not null.

     In a sort-merge join, both genomic datasets are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. In the same operation, we group all values by the left item in the genomic dataset. Since this is a right outer join, all values from the right genomic dataset who did not overlap a value from the left genomic dataset are placed into a length-1 Iterable with a `None` key.

     genomicDataset

       The right genomic dataset in the join.

     flankSize

       Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

     returns

       Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, grouped together by the value they overlapped in the left genomic dataset, and all values from the right genomic dataset that did not overlap an item in the left genomic dataset.

     Definition Classes
       GenomicDataset
133.  def save(filePath: String, isSorted: Boolean): Boolean

     Saves this genomic dataset to disk, with the type identified by the extension.

     Saves this genomic dataset to disk, with the type identified by the extension.

     filePath

       Path to save the file at.

     isSorted

       Whether the file is sorted or not.

     returns

       Returns true if saving succeeded.

     Definition Classes
       AlignmentDataset
134.  def save(args: ADAMSaveAnyArgs, isSorted: Boolean = false): Boolean

     Saves Alignments as a directory of Parquet files or as SAM/BAM.

     Saves Alignments as a directory of Parquet files or as SAM/BAM.

     This method infers the output format from the file extension. Filenames ending in .sam/.bam are saved as SAM/BAM, and all other files are saved as Parquet.

     args

       Save configuration arguments.

     isSorted

       If the output is sorted, this will modify the SAM/BAM header.

     returns

       Returns true if saving succeeded.

     Definition Classes
       AlignmentDataset
135.  def saveAsFastq(fileName: String, fileName2Opt: Option[String] = None, writeOriginalQualityScores: Boolean = false, sort: Boolean = false, asSingleFile: Boolean = false, disableFastConcat: Boolean = false, validationStringency: ValidationStringency = ValidationStringency.LENIENT, persistLevel: Option[StorageLevel] = None): Unit

     Saves reads in FASTQ format.

     Saves reads in FASTQ format.

     fileName

       Path to save files at.

     fileName2Opt

       Optional second path for saving files. If set, two files will be saved.

     writeOriginalQualityScores

       If true, writes out reads with the base quality scores from the original quality scores (SAM "OQ") field. If false, writes out reads with the quality scores from the qualityScores field. Default is false.

     sort

       Whether to sort the FASTQ files by read name or not. Defaults to false. Sorting the output will recover pair order, if desired.

     asSingleFile

       By default (false), writes file to disk as shards with one shard per partition. If true, we save the file to disk as a single file by merging the shards.

     disableFastConcat

       If asSingleFile is true, disables the use of the parallel file merging engine.

     validationStringency

       Iff strict, throw an exception if any read in this genomic dataset is not accompanied by its mate.

     persistLevel

       An optional persistance level to set. If this level is set, then reads will be cached (at the given persistance) level between passes.

     Definition Classes
       AlignmentDataset
136.  def saveAsFastq(fileName: String, writeOriginalQualityScores: Boolean, sort: Boolean, asSingleFile: Boolean, disableFastConcat: Boolean, validationStringency: ValidationStringency): Unit

     (Java-specific) Saves reads in FASTQ format.

     (Java-specific) Saves reads in FASTQ format.

     fileName

       Path to save files at.

     writeOriginalQualityScores

       If true, writes out reads with the base quality scores from the original quality scores (SAM "OQ") field. If false, writes out reads with the quality scores from the qualityScores field. Default is false.

     sort

       Whether to sort the FASTQ files by read name or not. Defaults to false. Sorting the output will recover pair order, if desired.

     asSingleFile

       If false, writes file to disk as shards with one shard per partition. If true, we save the file to disk as a single file by merging the shards.

     disableFastConcat

       If asSingleFile is true, disables the use of the parallel file merging engine.

     validationStringency

       Iff strict, throw an exception if any read in this genomic dataset is not accompanied by its mate.

     Definition Classes
       AlignmentDataset
137.  def saveAsPairedFastq(fileName1: String, fileName2: String, writeOriginalQualityScores: Boolean = false, asSingleFile: Boolean = false, disableFastConcat: Boolean = false, validationStringency: ValidationStringency = ValidationStringency.LENIENT, persistLevel: Option[StorageLevel] = None): Unit

     Saves these Alignments to two FASTQ files.

     Saves these Alignments to two FASTQ files.

     The files are one for the first mate in each pair, and the other for the second mate in the pair.

     fileName1

       Path at which to save a FASTQ file containing the first mate of each pair.

     fileName2

       Path at which to save a FASTQ file containing the second mate of each pair.

     writeOriginalQualityScores

       If true, writes out reads with the base quality scores from the original quality scores (SAM "OQ") field. If false, writes out reads with the quality scores from the qualityScores field. Default is false.

     asSingleFile

       By default (false), writes file to disk as shards with one shard per partition. If true, we save the file to disk as a single file by merging the shards.

     disableFastConcat

       If asSingleFile is true, disables the use of the parallel file merging engine.

     validationStringency

       Iff strict, throw an exception if any read in this genomic dataset is not accompanied by its mate.

     persistLevel

       An optional persistance level to set. If this level is set, then reads will be cached (at the given persistance) level between passes.

     Definition Classes
       AlignmentDataset
138.  def saveAsPairedFastq(fileName1: String, fileName2: String, writeOriginalQualityScores: Boolean, asSingleFile: Boolean, disableFastConcat: Boolean, validationStringency: ValidationStringency, persistLevel: StorageLevel): Unit

     (Java-specific) Saves these Alignments to two FASTQ files.

     (Java-specific) Saves these Alignments to two FASTQ files.

     The files are one for the first mate in each pair, and the other for the second mate in the pair.

     fileName1

       Path at which to save a FASTQ file containing the first mate of each pair.

     fileName2

       Path at which to save a FASTQ file containing the second mate of each pair.

     writeOriginalQualityScores

       If true, writes out reads with the base quality scores from the original quality scores (SAM "OQ") field. If false, writes out reads with the quality scores from the qualityScores field. Default is false.

     asSingleFile

       If false, writes file to disk as shards with one shard per partition. If true, we save the file to disk as a single file by merging the shards.

     disableFastConcat

       If asSingleFile is true, disables the use of the parallel file merging engine.

     validationStringency

       Iff strict, throw an exception if any read in this genomic dataset is not accompanied by its mate.

     persistLevel

       The persistence level to cache reads at between passes.

     Definition Classes
       AlignmentDataset
139.  def saveAsParquet(pathName: String): Unit

     Saves this genomic dataset to disk as a Parquet file.

     Saves this genomic dataset to disk as a Parquet file.

     pathName

       Path to save the file at.

     Definition Classes
       AvroGenomicDataset
140.  def saveAsParquet(pathName: String, blockSize: Integer, pageSize: Integer, compressionCodec: CompressionCodecName, disableDictionaryEncoding: Boolean): Unit

     (Java-specific) Saves this genomic dataset to disk as a Parquet file.

     (Java-specific) Saves this genomic dataset to disk as a Parquet file.

     pathName

       Path to save the file at.

     blockSize

       The size in bytes of blocks to write.

     pageSize

       The size in bytes of pages to write.

     compressionCodec

       The compression codec to apply to pages.

     disableDictionaryEncoding

       If false, dictionary encoding is used. If true, delta encoding is used.

     Definition Classes
       AvroGenomicDataset
141.  def saveAsParquet(pathName: String, blockSize: Int = 128 * 1024 * 1024, pageSize: Int = 1 * 1024 * 1024, compressionCodec: CompressionCodecName = CompressionCodecName.GZIP, disableDictionaryEncoding: Boolean = false): Unit

     Saves this genomic dataset to disk as a Parquet file.

     Saves this genomic dataset to disk as a Parquet file.

     pathName

       Path to save the file at.

     blockSize

       Size per block.

     pageSize

       Size per page.

     compressionCodec

       Name of the compression codec to use.

     disableDictionaryEncoding

       Whether or not to disable bit-packing. Default is false.

     Definition Classes
       AvroGenomicDataset → GenomicDataset
142.  def saveAsParquet(args: SaveArgs): Unit

     Saves a genomic dataset to Parquet.

     Saves a genomic dataset to Parquet.

     args

       The output format configuration to use when saving the data.

     Definition Classes
       GenomicDataset
143.  def saveAsPartitionedParquet(pathName: String, compressionCodec: CompressionCodecName = CompressionCodecName.GZIP, partitionSize: Int = 1000000): Unit

     Saves this RDD to disk in range binned partitioned Parquet format.

     Saves this RDD to disk in range binned partitioned Parquet format.

     pathName

       The path to save the partitioned Parquet file to.

     compressionCodec

       Name of the compression codec to use.

     partitionSize

       Size of partitions used when writing Parquet, in base pairs (bp). Defaults to 1,000,000 bp.

     Definition Classes
       GenomicDataset
144.  def saveAsSam(filePath: String, asType: SAMFormat, asSingleFile: Boolean, isSorted: Boolean): Unit

     Saves this genomic dataset to disk as a SAM/BAM/CRAM file.

     Saves this genomic dataset to disk as a SAM/BAM/CRAM file.

     filePath

       Path to save the file at.

     asType

       The SAMFormat to save as. If left null, we will infer the format from the file extension.

     asSingleFile

       If true, saves output as a single file.

     isSorted

       If the output is sorted, this will modify the header.

     Definition Classes
       AlignmentDataset
145.  def saveAsSam(filePath: String, asType: Option[SAMFormat], asSingleFile: Boolean, sortOrder: SortOrder, deferMerging: Boolean, disableFastConcat: Boolean): Unit
     Definition Classes
       AlignmentDataset
146.  def saveAsSam(filePath: String, asType: Option[SAMFormat] = None, asSingleFile: Boolean = false, isSorted: Boolean = false, deferMerging: Boolean = false, disableFastConcat: Boolean = false): Unit

     Saves this genomic dataset of ADAM read data into the SAM/BAM format.

     Saves this genomic dataset of ADAM read data into the SAM/BAM format.

     filePath

       Path to save files to.

     asType

       Selects whether to save as SAM, BAM, or CRAM. The default value is None, which means the file type is inferred from the extension.

     asSingleFile

       If true, saves output as a single file.

     isSorted

       If the output is sorted, this will modify the header.

     deferMerging

       If true and asSingleFile is true, we will save the output shards as a headerless file, but we will not merge the shards.

     disableFastConcat

       If asSingleFile is true and deferMerging is false, disables the use of the parallel file merging engine.

     Definition Classes
       AlignmentDataset
147.  def saveAsSamString(): String

     Converts this genomic dataset into the SAM spec string it represents.

     Converts this genomic dataset into the SAM spec string it represents.

     This method converts a genomic dataset of Alignments back to an RDD of SAMRecordWritables and a SAMFileHeader, and then maps this RDD into a string on the driver that represents this file in SAM.

     returns

       A string on the driver representing this genomic dataset of reads in SAM format.

     Definition Classes
       AlignmentDataset
148.  def saveAvro[U <: SpecificRecordBase](pathName: String, sc: SparkContext, schema: Schema, avro: Seq[U])(implicit tUag: ClassTag[U]): Unit

     Saves Avro data to a Hadoop file system.

     Saves Avro data to a Hadoop file system.

     This method uses a SparkContext to identify our underlying file system, which we then save to.

     Frustratingly enough, although all records generated by the Avro IDL compiler have a static SCHEMA$ field, this field does not belong to the SpecificRecordBase abstract class, or the SpecificRecord interface. As such, we must force the user to pass in the schema.

     U

       The type of the specific record we are saving.

     pathName

       Path to save records to.

     sc

       SparkContext used for identifying underlying file system.

     schema

       Schema of records we are saving.

     avro

       Seq of records we are saving.

     Attributes
       protected
     Definition Classes
       GenomicDataset
149.  def saveMetadata(pathName: String): Unit

     Called in saveAsParquet after saving genomic dataset to Parquet to save metadata.

     Called in saveAsParquet after saving genomic dataset to Parquet to save metadata.

     Writes any necessary metadata to disk. If not overridden, writes the sequence dictionary to disk as Avro.

     pathName

       The filepath to the file where we will save the Metadata.

     Attributes
       protected
     Definition Classes
       AvroReadGroupGenomicDataset → AvroGenomicDataset → GenomicDataset
150.  def savePartitionMap(pathName: String): Unit

     Save the partition map to disk.

     Save the partition map to disk. This is done by adding the partition map to the schema.

     pathName

       The filepath where we will save the partition map.

     Attributes
       protected
     Definition Classes
       AvroGenomicDataset
151.  def saveProcessingSteps(pathName: String): Unit

     Save the processing steps to disk.

     Save the processing steps to disk.

     pathName

       The path to save processing steps to.

     Attributes
       protected
     Definition Classes
       AvroReadGroupGenomicDataset
152.  def saveRddAsParquet(pathName: String, blockSize: Int = 128 * 1024 * 1024, pageSize: Int = 1 * 1024 * 1024, compressionCodec: CompressionCodecName = CompressionCodecName.GZIP, disableDictionaryEncoding: Boolean = false, optSchema: Option[Schema] = None): Unit

     Saves a genomic dataset of Avro data to Parquet.

     Saves a genomic dataset of Avro data to Parquet.

     pathName

       The path to save the file to.

     blockSize

       The size in bytes of blocks to write. Defaults to 128 * 1024 * 1024.

     pageSize

       The size in bytes of pages to write. Defaults to 1 * 1024 * 1024.

     compressionCodec

       The compression codec to apply to pages. Defaults to CompressionCodecName.GZIP.

     disableDictionaryEncoding

       If false, dictionary encoding is used. If true, delta encoding is used. Defaults to false.

     optSchema

       The optional schema to set. Defaults to None.

     Attributes
       protected
     Definition Classes
       AvroGenomicDataset
153.  def saveRddAsParquet(args: SaveArgs): Unit
     Attributes
       protected
     Definition Classes
       AvroGenomicDataset
154.  def saveReadGroups(pathName: String): Unit

     Save the read groups to disk.

     Save the read groups to disk.

     pathName

       The path to save read groups to.

     Attributes
       protected
     Definition Classes
       AvroReadGroupGenomicDataset
155.  def saveReferences(pathName: String): Unit

     Save the reference sequence dictionary to disk.

     Save the reference sequence dictionary to disk.

     pathName

       The path to save the reference sequence dictionary to.

     Attributes
       protected
     Definition Classes
       GenomicDataset
156.  def shuffleRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z])(implicit tTag: ClassTag[Alignment], xTag: ClassTag[X], txTag: ClassTag[(Alignment, X)], uyTag: scala.reflect.api.JavaUniverse.TypeTag[(Alignment, Y)]): GenericGenomicDataset[(Alignment, X), (Alignment, Y)]

     Performs a sort-merge inner join between this genomic dataset and another genomic dataset.

     Performs a sort-merge inner join between this genomic dataset and another genomic dataset.

     In a sort-merge join, both genomic datasets are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other genomic dataset are dropped.

     genomicDataset

       The right genomic dataset in the join.

     returns

       Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space.

     Definition Classes
       GenomicDataset
157.  def shuffleRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Long)(implicit tTag: ClassTag[Alignment], xTag: ClassTag[X], txTag: ClassTag[(Alignment, X)], uyTag: scala.reflect.api.JavaUniverse.TypeTag[(Alignment, Y)]): GenericGenomicDataset[(Alignment, X), (Alignment, Y)]

     Performs a sort-merge inner join between this genomic dataset and another genomic dataset.

     Performs a sort-merge inner join between this genomic dataset and another genomic dataset.

     In a sort-merge join, both genomic datasets are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other genomic dataset are dropped.

     genomicDataset

       The right genomic dataset in the join.

     flankSize

       Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

     returns

       Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space.

     Definition Classes
       GenomicDataset
158.  def shuffleRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Integer): GenericGenomicDataset[(Alignment, X), (Alignment, Y)]

     (Java-specific) Performs a sort-merge inner join between this genomic dataset and another genomic dataset.

     (Java-specific) Performs a sort-merge inner join between this genomic dataset and another genomic dataset.

     In a sort-merge join, both genomic datasets are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other genomic dataset are dropped.

     genomicDataset

       The right genomic dataset in the join.

     flankSize

       Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

     returns

       Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space.

     Definition Classes
       GenomicDataset
159.  def shuffleRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Double): GenericGenomicDataset[(Alignment, X), (Alignment, Y)]

     (R-specific) Performs a sort-merge inner join between this genomic dataset and another genomic dataset.

     (R-specific) Performs a sort-merge inner join between this genomic dataset and another genomic dataset.

     In a sort-merge join, both genomic datasets are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other genomic dataset are dropped.

     genomicDataset

       The right genomic dataset in the join.

     flankSize

       Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

     returns

       Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space.

     Definition Classes
       GenomicDataset
160.  def shuffleRegionJoinAndGroupByLeft[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z])(implicit tTag: ClassTag[Alignment], xTag: ClassTag[X], tixTag: ClassTag[(Alignment, Iterable[X])], uiyTag: scala.reflect.api.JavaUniverse.TypeTag[(Alignment, Seq[Y])]): GenericGenomicDataset[(Alignment, Iterable[X]), (Alignment, Seq[Y])]

     Performs a sort-merge inner join between this genomic dataset and another genomic dataset, followed by a groupBy on the left value.

     Performs a sort-merge inner join between this genomic dataset and another genomic dataset, followed by a groupBy on the left value.

     In a sort-merge join, both genomic datasets are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other genomic dataset are dropped. In the same operation, we group all values by the left item in the genomic dataset.

     genomicDataset

       The right genomic dataset in the join.

     returns

       Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, grouped together by the value they overlapped in the left genomic dataset.

     Definition Classes
       GenomicDataset
161.  def shuffleRegionJoinAndGroupByLeft[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Long)(implicit tTag: ClassTag[Alignment], xTag: ClassTag[X], tixTag: ClassTag[(Alignment, Iterable[X])], uiyTag: scala.reflect.api.JavaUniverse.TypeTag[(Alignment, Seq[Y])]): GenericGenomicDataset[(Alignment, Iterable[X]), (Alignment, Seq[Y])]

     Performs a sort-merge inner join between this genomic dataset and another genomic dataset, followed by a groupBy on the left value.

     Performs a sort-merge inner join between this genomic dataset and another genomic dataset, followed by a groupBy on the left value.

     In a sort-merge join, both genomic datasets are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other genomic dataset are dropped. In the same operation, we group all values by the left item in the genomic dataset.

     genomicDataset

       The right genomic dataset in the join.

     flankSize

       Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

     returns

       Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, grouped together by the value they overlapped in the left genomic dataset.

     Definition Classes
       GenomicDataset
162.  def shuffleRegionJoinAndGroupByLeft[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Integer): GenericGenomicDataset[(Alignment, Iterable[X]), (Alignment, Seq[Y])]

     (Java-specific) Performs a sort-merge inner join between this genomic dataset and another genomic dataset, followed by a groupBy on the left value.

     (Java-specific) Performs a sort-merge inner join between this genomic dataset and another genomic dataset, followed by a groupBy on the left value.

     In a sort-merge join, both genomic datasets are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. In the same operation, we group all values by the left item in the genomic dataset.

     genomicDataset

       The right genomic dataset in the join.

     flankSize

       Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

     returns

       Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, grouped together by the value they overlapped in the left genomic dataset.

     Definition Classes
       GenomicDataset
163.  def shuffleRegionJoinAndGroupByLeft[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Double): GenericGenomicDataset[(Alignment, Iterable[X]), (Alignment, Seq[Y])]

     (R-specific) Performs a sort-merge inner join between this genomic dataset and another genomic dataset, followed by a groupBy on the left value.

     (R-specific) Performs a sort-merge inner join between this genomic dataset and another genomic dataset, followed by a groupBy on the left value.

     In a sort-merge join, both genomic datasets are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. In the same operation, we group all values by the left item in the genomic dataset.

     genomicDataset

       The right genomic dataset in the join.

     flankSize

       Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

     returns

       Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, grouped together by the value they overlapped in the left genomic dataset.

     Definition Classes
       GenomicDataset
164.  def sort(partitions: Int = rdd.partitions.length, stringency: ValidationStringency = ValidationStringency.STRICT)(implicit tTag: ClassTag[Alignment]): AlignmentDataset

     Sorts our genome aligned data by reference positions, with references ordered by index.

     Sorts our genome aligned data by reference positions, with references ordered by index.

     partitions

       The number of partitions for the new genomic dataset.

     stringency

       The level of ValidationStringency to enforce.

     returns

       Returns a new genomic dataset containing sorted data.

     Definition Classes
       GenomicDataset
     Note

       Uses ValidationStringency to handle unaligned or where objects align to multiple positions.

     See also

       sortLexicographically

165.  def sort(): AlignmentDataset

     Sorts our genome aligned data by reference positions, with references ordered by index.

     Sorts our genome aligned data by reference positions, with references ordered by index.

     returns

       Returns a new genomic dataset containing sorted data.

     Definition Classes
       GenomicDataset
     See also

       sortLexicographically

166.  def sortByReadName(): AlignmentDataset

     Sorts our alignments by read name.

     Sorts our alignments by read name.

     returns

       Returns a new genomic dataset containing sorted alignments.

     Definition Classes
       AlignmentDataset
167.  def sortByReferencePosition(): AlignmentDataset

     Sorts our alignments by reference position, with references ordered by name.

     Sorts our alignments by reference position, with references ordered by name.

     Sorts alignments by the location where the reads are aligned. Unaligned reads are put at the end and sorted by read name. References are ordered lexicographically.

     returns

       Returns a new genomic dataset containing sorted alignments.

     Definition Classes
       AlignmentDataset
     See also

       sortByReferencePositionAndIndex

168.  def sortByReferencePositionAndIndex(): AlignmentDataset

     Sorts our alignments by reference position, with references ordered by index.

     Sorts our alignments by reference position, with references ordered by index.

     Sorts alignments by the location where the reads are aligned. Unaligned reads are put at the end and sorted by read name. References are ordered by index that they are ordered in the SequenceDictionary.

     returns

       Returns a new genomic dataset containing sorted alignments.

     Definition Classes
       AlignmentDataset
     See also

       sortByReferencePosition

169.  def sortLexicographically(partitions: Int = rdd.partitions.length, storePartitionMap: Boolean = false, storageLevel: StorageLevel = StorageLevel.MEMORY_ONLY, stringency: ValidationStringency = ValidationStringency.STRICT)(implicit tTag: ClassTag[Alignment]): AlignmentDataset

     Sorts our genome aligned data by reference positions, with references ordered lexicographically.

     Sorts our genome aligned data by reference positions, with references ordered lexicographically.

     partitions

       The number of partitions for the new genomic dataset.

     storePartitionMap

       A Boolean flag to determine whether to store the partition bounds from the resulting genomic dataset.

     storageLevel

       The level at which to persist the resulting genomic dataset.

     stringency

       The level of ValidationStringency to enforce.

     returns

       Returns a new genomic dataset containing sorted data.

     Definition Classes
       GenomicDataset
     Note

       Uses ValidationStringency to handle data that is unaligned or where objects align to multiple positions.

     See also

       sort

170.  def sortLexicographically(): AlignmentDataset

     Sorts our genome aligned data by reference positions, with references ordered lexicographically.

     Sorts our genome aligned data by reference positions, with references ordered lexicographically.

     returns

       Returns a new genomic dataset containing sorted data.

     Definition Classes
       GenomicDataset
     See also

       sort

171.  lazy val spark: SparkSession
     Definition Classes
       GenomicDataset
     Annotations
       @transient()
172.  final def synchronized[T0](arg0: ⇒ T0): T0
     Definition Classes
       AnyRef
173.  def toCoverage(): CoverageDataset

     Converts this dataset of alignments into a corresponding CoverageDataset.

     Converts this dataset of alignments into a corresponding CoverageDataset.

     returns

       CoverageDataset containing mapped genomic dataset of Coverage.

     Definition Classes
       RDDBoundAlignmentDataset → AlignmentDataset
174.  def toDF(): DataFrame

     returns

       These data as a Spark SQL DataFrame.

     Definition Classes
       GenomicDataset
175.  def toFragments(): FragmentDataset

     Convert this set of reads into fragments.

     Convert this set of reads into fragments.

     returns

       Returns a FragmentDataset where all reads have been grouped together by the original sequence fragment they come from.

     Definition Classes
       AlignmentDataset
176.  def toReads(): ReadDataset

     Convert this genomic dataset of alignments to reads.

     Convert this genomic dataset of alignments to reads.

     returns

       Return this genomic dataset of alignments converted to a ReadDataset.

     Definition Classes
       AlignmentDataset
177.  def toString(): String
     Definition Classes
       AvroReadGroupGenomicDataset → GenomicDataset → AnyRef → Any
178.  def trace(mkr: Marker, msg: ⇒ Any, t: ⇒ Throwable): Unit
     Attributes
       protected
     Definition Classes
       Logging
179.  def trace(msg: ⇒ Any, t: ⇒ Throwable): Unit
     Attributes
       protected
     Definition Classes
       Logging
180.  def trace(msg: ⇒ Any): Unit
     Attributes
       protected
     Definition Classes
       Logging
181.  def transform(tFn: Function[JavaRDD[Alignment], JavaRDD[Alignment]]): AlignmentDataset

     (Java-specific) Applies a function that transforms the underlying RDD into a new RDD.

     (Java-specific) Applies a function that transforms the underlying RDD into a new RDD.

     tFn

       A function that transforms the underlying RDD.

     returns

       A new genomic dataset where the RDD of genomic data has been replaced, but the metadata (sequence dictionary, and etc) are copied without modification.

     Definition Classes
       GenomicDataset
182.  def transform(tFn: (RDD[Alignment]) ⇒ RDD[Alignment]): AlignmentDataset

     (Scala-specific) Applies a function that transforms the underlying RDD into a new RDD.

     (Scala-specific) Applies a function that transforms the underlying RDD into a new RDD.

     tFn

       A function that transforms the underlying RDD.

     returns

       A new genomic dataset where the RDD of genomic data has been replaced, but the metadata (sequence dictionary, and etc) are copied without modification.

     Definition Classes
       GenomicDataset
183.  def transformDataFrame(tFn: Function[DataFrame, DataFrame]): AlignmentDataset

     (Java-specific) Applies a function that transforms the underlying DataFrame into a new DataFrame using the Spark SQL API.

     (Java-specific) Applies a function that transforms the underlying DataFrame into a new DataFrame using the Spark SQL API.

     tFn

       A function that transforms the underlying DataFrame as a DataFrame.

     returns

       A new genomic dataset where the DataFrame of genomic data has been replaced, but the metadata (sequence dictionary, and etc) are copied without modification.

     Definition Classes
       GenomicDataset
184.  def transformDataFrame(tFn: (DataFrame) ⇒ DataFrame)(implicit uTag: scala.reflect.api.JavaUniverse.TypeTag[Alignment]): AlignmentDataset

     (Scala-specific) Applies a function that transforms the underlying DataFrame into a new DataFrame using the Spark SQL API.

     (Scala-specific) Applies a function that transforms the underlying DataFrame into a new DataFrame using the Spark SQL API.

     tFn

       A function that transforms the underlying data as a DataFrame.

     returns

       A new genomic dataset where the DataFrame of genomic data has been replaced, but the metadata (sequence dictionary, and etc) are copied without modification.

     Definition Classes
       GenomicDataset
185.  def transformDataset(tFn: Function[Dataset[Alignment], Dataset[Alignment]]): AlignmentDataset

     (Java-specific) Applies a function that transforms the underlying Dataset into a new Dataset using the Spark SQL API.

     (Java-specific) Applies a function that transforms the underlying Dataset into a new Dataset using the Spark SQL API.

     tFn

       A function that transforms the underlying Dataset as a Dataset.

     returns

       A new genomic dataset where the Dataset of genomic data has been replaced, but the metadata (sequence dictionary, and etc) are copied without modification.

     Definition Classes
       AlignmentDataset → GenomicDataset
186.  def transformDataset(tFn: (Dataset[Alignment]) ⇒ Dataset[Alignment]): AlignmentDataset

     (Scala-specific) Applies a function that transforms the underlying Dataset into a new Dataset using the Spark SQL API.

     (Scala-specific) Applies a function that transforms the underlying Dataset into a new Dataset using the Spark SQL API.

     tFn

       A function that transforms the underlying Dataset as a Dataset.

     returns

       A new genomic dataset where the Dataset of genomic data has been replaced, but the metadata (sequence dictionary, and etc) are copied without modification.

     Definition Classes
       AlignmentDataset → GenomicDataset
187.  def transmute[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](tFn: Function[JavaRDD[Alignment], JavaRDD[X]], convFn: Function2[AlignmentDataset, RDD[X], Z]): Z

     (Java-specific) Applies a function that transmutes the underlying RDD into a new RDD of a different type.

     (Java-specific) Applies a function that transmutes the underlying RDD into a new RDD of a different type.

     tFn

       A function that transforms the underlying RDD.

     convFn

       The conversion function used to build the final RDD.

     returns

       A new genomid dataset where the RDD of genomic data has been replaced, but the metadata (sequence dictionary, and etc) are copied without modification.

     Definition Classes
       GenomicDataset
188.  def transmute[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](tFn: (RDD[Alignment]) ⇒ RDD[X])(implicit convFn: (AlignmentDataset, RDD[X]) ⇒ Z): Z

     (Scala-specific) Applies a function that transmutes the underlying RDD into a new RDD of a different type.

     (Scala-specific) Applies a function that transmutes the underlying RDD into a new RDD of a different type.

     tFn

       A function that transforms the underlying RDD.

     returns

       A new genomic dataset where the RDD of genomic data has been replaced, but the metadata (sequence dictionary, and etc) are copied without modification.

     Definition Classes
       GenomicDataset
189.  def transmuteDataFrame[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](tFn: Function[DataFrame, DataFrame], convFn: GenomicDatasetConversion[Alignment, Alignment, AlignmentDataset, X, Y, Z]): Z

     (Java-specific) Applies a function that transmutes the underlying DataFrame into a new DataFrame of a different type.

     (Java-specific) Applies a function that transmutes the underlying DataFrame into a new DataFrame of a different type.

     tFn

       A function that transforms the underlying DataFrame.

     returns

       A new genomic dataset where the DataFrame of genomic data has been replaced, but the metadata (sequence dictionary, and etc) are copied without modification.

     Definition Classes
       GenomicDataset
190.  def transmuteDataFrame[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](tFn: (DataFrame) ⇒ DataFrame)(implicit yTag: scala.reflect.api.JavaUniverse.TypeTag[Y], convFn: (AlignmentDataset, Dataset[Y]) ⇒ Z): Z

     (Java-specific) Applies a function that transmutes the underlying DataFrame into a new DataFrame of a different type.

     (Java-specific) Applies a function that transmutes the underlying DataFrame into a new DataFrame of a different type.

     tFn

       A function that transforms the underlying DataFrame.

     returns

       A new genomic dataset where the DataFrame of genomic data has been replaced, but the metadata (sequence dictionary, and etc) are copied without modification.

     Definition Classes
       GenomicDataset
191.  def transmuteDataset[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](tFn: Function[Dataset[Alignment], Dataset[Y]], convFn: GenomicDatasetConversion[Alignment, Alignment, AlignmentDataset, X, Y, Z]): Z

     (Java-specific) Applies a function that transmutes the underlying Dataset into a new Dataset of a different type.

     (Java-specific) Applies a function that transmutes the underlying Dataset into a new Dataset of a different type.

     tFn

       A function that transforms the underlying Dataset.

     returns

       A new genomic dataset where the Dataset of genomic data has been replaced, but the metadata (sequence dictionary, and etc) are copied without modification.

     Definition Classes
       GenomicDataset
192.  def transmuteDataset[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](tFn: (Dataset[Alignment]) ⇒ Dataset[Y])(implicit yTag: scala.reflect.api.JavaUniverse.TypeTag[Y], convFn: (AlignmentDataset, Dataset[Y]) ⇒ Z): Z

     (Scala-specific) Applies a function that transmutes the underlying Dataset into a new Dataset of a different type.

     (Scala-specific) Applies a function that transmutes the underlying Dataset into a new Dataset of a different type.

     tFn

       A function that transforms the underlying Dataset.

     returns

       A new genomic dataset where the Dataset of genomic data has been replaced, but the metadata (sequence dictionary, and etc) are copied without modification.

     Definition Classes
       GenomicDataset
193.  val uTag: scala.reflect.api.JavaUniverse.TypeTag[Alignment]
     Definition Classes
       AlignmentDataset → GenomicDataset
194.  def union(datasets: AlignmentDataset*): AlignmentDataset

     (Scala-specific) Unions together multiple genomic datasets.

     (Scala-specific) Unions together multiple genomic datasets.

     datasets

       Genomic datasets to union with this genomic dataset.

     Definition Classes
       AlignmentDataset → GenomicDataset
195.  def union(datasets: List[AlignmentDataset]): AlignmentDataset

     (Java-specific) Unions together multiple genomic datasets.

     (Java-specific) Unions together multiple genomic datasets.

     datasets

       Genomic datasets to union with this genomic dataset.

     Definition Classes
       GenomicDataset
196.  def unpersist(): AlignmentDataset

     Unpersists underlying RDD from memory or disk.

     Unpersists underlying RDD from memory or disk.

     returns

       Uncached GenomicDataset.

     Definition Classes
       GenomicDataset
197.  val unproductFn: (Alignment) ⇒ Alignment
     Attributes
       protected
     Definition Classes
       AlignmentDataset → GenomicDataset
198.  final def wait(arg0: Long, arg1: Int): Unit
     Definition Classes
       AnyRef
     Annotations
       @throws( ... )
199.  final def wait(arg0: Long): Unit
     Definition Classes
       AnyRef
     Annotations
       @throws( ... ) @native()
200.  final def wait(): Unit
     Definition Classes
       AnyRef
     Annotations
       @throws( ... )
201.  def warn(mkr: Marker, msg: ⇒ Any, t: ⇒ Throwable): Unit
     Attributes
       protected
     Definition Classes
       Logging
202.  def warn(msg: ⇒ Any, t: ⇒ Throwable): Unit
     Attributes
       protected
     Definition Classes
       Logging
203.  def warn(msg: ⇒ Any): Unit
     Attributes
       protected
     Definition Classes
       Logging
204.  def writePartitionedParquetFlag(pathName: String, partitionSize: Int): Unit

     Save partition size into the partitioned Parquet flag file.

     Save partition size into the partitioned Parquet flag file.

     pathName

       Path to save the file at.

     partitionSize

       Partition bin size, in base pairs, used in Hive-style partitioning.

     Definition Classes
       AvroGenomicDataset → GenomicDataset
205.  def writeTextRdd[T](rdd: RDD[T], outputPath: String, asSingleFile: Boolean, disableFastConcat: Boolean, optHeaderPath: Option[String] = None): Unit

     Writes an RDD to disk as text and optionally merges.

     Writes an RDD to disk as text and optionally merges.

     rdd

       RDD to save.

     outputPath

       Output path to save text files to.

     asSingleFile

       If true, combines all partition shards.

     disableFastConcat

       If asSingleFile is true, disables the use of the parallel file merging engine.

     optHeaderPath

       If provided, the header file to include.

     Attributes
       protected
     Definition Classes
       GenomicDataset

### Deprecated Value Members

1.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] ) @Deprecated
   Deprecated

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AlignmentDataset

### Inherited from AvroReadGroupGenomicDataset[Alignment, Alignment, AlignmentDataset]

### Inherited from GenomicDatasetWithLineage[Alignment, Alignment, AlignmentDataset]

### Inherited from AvroGenomicDataset[Alignment, Alignment, AlignmentDataset]

### Inherited from GenomicDataset[Alignment, Alignment, AlignmentDataset]

### Inherited from Logging

### Inherited from AnyRef

### Inherited from Any

### Ungrouped